<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');
require_once('../inc/config.php');

$estat_expedient = array(0 => 'per assignar', 1 => 'obert', 2 => 'tancat');
$label_expedient = array(0 => 'label-danger', 1 => 'label-info', 2 => 'label-success');

$whos = select('informacio_who');
$document_types = select('informacio_document_type');
$channels = select('informacio_channel');
$provenances = select('informacio_provenance');
$users = select('app_users');
$organitzacions = select('informacio_org');
$temes = select('informacio_temes');
$subtemes = select('informacio_temes_altres');
$knows = select('informacio_know');
$froms = select('informacio_derived_from');
$tos = select('informacio_derived_to');
$districtes = select('app_districtes');
$barris = select('app_barris');
$countries = select_sql("SELECT * FROM app_country ORDER BY name");
$quins = select('expedient_qui_discrimina');

$data_country = "[";

foreach ($countries as $country) {
	
	$data_country .= "&quot;".utf8_encode($country['name'])."&quot;,";
	
}

$data_country = substr($data_country, 0, -1);

$data_country .= "]";



$tipus_actuacions = select_sql('SELECT * FROM expedients_actuacions_type ORDER BY ordre');
$discriminacions_desplegable = select_sql('SELECT * FROM expedient_discriminacions ORDER BY bloc');
$discriminacions = select('expedient_discriminacions');
$blocs = select('expedient_discriminacions_blocs');
$drets_desplegable = select_sql('SELECT * FROM expedient_drets ORDER BY ordre ASC');
$drets = select('expedient_drets');

if (isset($_GET['id'])) {
    $sql = "SELECT * FROM expedients
                WHERE expedients.idi = ".$_GET['id'];
    $noticies = select_sql($sql);

    $registre = ($noticies[0]);
    $registre = array_map("stripslashes", $registre);
    $registre = array_map("utf8_encode", $registre);
    
    $sql = "SELECT * FROM informacio
                WHERE informacio.id = ".$registre['idi'];
     $informacions = select_sql($sql);

    $informacio = ($informacions[0]);
    $informacio = array_map("stripslashes", $informacio);
    $fitxa = array_map("utf8_encode", $informacio);


$sql = "SELECT expedients_actuacions.* FROM expedients_actuacions WHERE expedients_actuacions.idE = ".$registre['id'];
$actuacions = select_sql($sql);

if ($registre['estat']==2) {
$sql = "SELECT expedients_actuacions.* FROM expedients_actuacions WHERE expedients_actuacions.tipus=12 AND expedients_actuacions.ide = ".$registre['id'];
$closed = select_sql($sql);

}

$actuacions_types = select('expedients_actuacions_type');
$tancaments = select('expedient_tancament');
$tancaments_derivacions = select('expedient_tancament_derivacio');
$tancaments_no = select('expedient_tancament_no');

$now = date('d-m-Y H:i:s');
 
}
?>
<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->

<html class="no-js">
<!--<![endif]-->

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <title><?php echo $title; ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" href="../css/bootstrap.min.css" type="text/css">
    <link rel="stylesheet" href="../css/bootstrap-theme.min.css" type="text/css">
    <link rel="stylesheet" href="../css/main.css" type="text/css">
    <link rel="stylesheet" href="../css/jquery.fileupload.css">
    <style type="text/css">
        body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
    </style>
</head>

<body data-spy="scroll" data-target=".menu-lateral">

	
	<div class="modal fade" id="afegeix_actuacio">
	  <div class="modal-dialog modal_wide">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Nova actuació</h4>
	      </div>
	      <div class="modal-body">
	        
	        <form id="form_afegeix_actuacio">
	        	<input type="hidden" name="idexpedient" id="idexpedient" value="<?php echo $registre['id']; ?>"/>
	        	<div class="row">
		        	<div class="form-group col-sm-12">
                            <label for="date">Data i hora</label> <input type="datetime" class="form-control" id="date" name="date" placeholder="" value="<?php echo $now; ?>">
                        </div>
		        	<div class="form-group col-sm-12">
                            <label for="tipus">Tipus d'actuació</label> <select class="form-control" id="tipus" name="tipus">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($tipus_actuacions as $element) { ?>

                                <option value="<?php echo ($element['id']); ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
		        	
					
	        	</div>
	        	<div class="row add_tercera">
		        	<div class="form-group col-sm-12">
                            <label for="tercera_nom">Nom de la tercera part</label> 
                            <input type="text" class="form-control" id="tercera_nom" name="tercera_nom" placeholder="" value="<?php echo $registre['tercera_nom']; ?>">
                    </div>
                     <div class="form-group col-sm-6">
                            <label for="tercera_carrer">Carrer</label> 
                            <input type="text" class="form-control" id="tercera_carrer" name="tercera_carrer" placeholder="" value="<?php echo $registre['tercera_carrer']; ?>">
                    </div>
                    <div class="form-group col-sm-3">
                            <label for="tercera_numero">Número</label> 
                            <input type="text" class="form-control" id="tercera_numero" name="tercera_numero" placeholder="" value="<?php echo $registre['tercera_numero']; ?>">
                    </div>
                    <div class="form-group col-sm-3">
                            <label for="tercera_rest">Pis/Porta/Escala/...</label> 
                            <input type="text" class="form-control" id="tercera_rest" name="tercera_rest" placeholder="" value="<?php echo $registre['tercera_rest']; ?>">
                    </div>
                    
                    
                        <div class="form-group col-sm-2">
                            <label for="tercera_cp">Codi Postal</label> <input type="text" class="form-control" id="tercera_cp" name="tercera_cp" placeholder="Codi Postal" value="<?php echo $registre['tercera_cp']; ?>">
                        </div>

                           <div class="form-group col-sm-3">
                            <label for="tercera_districte">Districte</label> <select class="form-control" id="tercera_districte" name="tercera_districte">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($districtes as $element) { ?>

                                <option value="<?php echo $element['iddistricte']; ?>" <?php if ($element['iddistricte'] == $registre['tercera_districte']) {echo 'selected';} ?> >
                                    <?php echo utf8_encode($element['districte']); ?>
                                </option><?php } ?>
                            </select>
                        </div>


                        <div class="form-group col-sm-4">
                            <label for="tercera_barri">Barri</label> <select class="form-control" id="tercera_barri" name="tercera_barri">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($barris as $element) { ?>

                                <option value="<?php echo $element['idbarri']; ?>" <?php if ($element['idbarri'] == $registre['tercera_barri']) {echo 'selected';} ?>>
                                    <?php echo utf8_encode($element['barri']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        
                        <div class="form-group col-sm-3">
                            <label for="acusada_city">Població</label> <input type="text" class="form-control" id="tercera_city" name="tercera_city" placeholder="Població" value="<?php echo $registre['tercera_city']; ?>">
                        </div>
                   <div class="form-group col-sm-4">
                            <label for="tercera_phone1">Telèfon 1</label> <input type="text" class="form-control" id="tercera_phone1" name="tercera_phone1" placeholder="Telèfon 1" value="<?php echo $registre['tercera_phone1']; ?>">
                        </div>

                        <div class="form-group col-sm-4">
                            <label for="tercera_phone2">Telèfon 2</label> <input type="text" class="form-control" id="tercera_phone2" name="tercera_phone2" placeholder="Telèfon 2" value="<?php echo $registre['tercera_phone2']; ?>">
                        </div>

                        <div class="form-group col-sm-4">
                            <label for="tercera_email">Email</label> <input type="text" class="form-control" id="tercera_email" name="tercera_email" placeholder="Email" value="<?php echo $registre['tercera_email']; ?>">
                        </div>

	        	</div>
				<div class="row detall_tipus">
				<div class="form-group col-sm-12">
	        	<label for="detall" class="control-label">Detall sobre el tipus d'actuació</label>
	        	<textarea id="detall_actuacio" name="detall_actuacio" class="form-control" rows="3"></textarea>
	        	</div></div>
	        	<span class="btn btn-success fileinput-button puja_informe">
				<i class="glyphicon glyphicon-plus"></i>
				<span>Selecciona l'arxiu</span>
				<!-- The file input field used as target for the file upload widget -->
				<input id="fileupload" type="file" name="files[]" multiple>
			</span>
			<div id="progress" class="progress puja_informe" style="margin-top:10px;">
				<div class="progress-bar progress-bar-success puja_informe"></div>
    		</div>
    <!-- The container for the uploaded files -->
    		<div id="files" class="files"></div>

	        	<div class="row">
				<div class="form-group col-sm-12">
	        	<label for="informacio_actuacio" class="control-label">Informació sobre l'actuació</label>
	        	<textarea id="informacio_actuacio" name="informacio_actuacio" class="form-control" rows="3"></textarea>
	        	</div></div>
	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary guarda_nova_actuacio">Guarda</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->

	<div class="modal fade" id="reobre_expedient">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Reobre expedient</h4>
	      </div>
	      <div class="modal-body">
	        
	        <form id="form_reobre">
	        	<input type="hidden" name="idreobre" id="idreobre" value="<?php echo $registre['id']; ?>"/>
	        	<div class="row">
		        	<div class="form-group col-sm-12">
                            <label for="date">Data i hora</label> <input type="datetime" class="form-control" id="date" name="date" placeholder="" value="<?php echo $now; ?>">
                        </div>
		      
                    
                  

		        	
					
	        	</div>
			
	        	<div class="row">
				<div class="form-group col-sm-12">
	        	<label for="observacions" class="control-label">Informació sobre la reobertura</label>
	        	<textarea id="observacions" name="observacions" class="form-control" rows="3"></textarea>
	        	</div></div>
	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary reobre">Guarda</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
	
		<div class="modal fade" id="tanca_expedient">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Tancar expedient</h4>
	      </div>
	      <div class="modal-body">
	        
	        <form id="form_tanca">
	        	<input type="hidden" name="idtanca" id="idtanca" value="<?php echo $registre['id']; ?>"/>
	        	<div class="row">
		        	<div class="form-group col-sm-12">
                            <label for="date">Data i hora</label> <input type="datetime" class="form-control" id="date" name="date" placeholder="" value="<?php echo $now; ?>">
                        </div>
		        	<div class="form-group col-sm-12">
                            <label for="tipus_tancament">Forma de tancament</label> <select class="form-control" id="tipus_tancament" name="tipus_tancament">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($tancaments as $element) { ?>

                                <option value="<?php echo ($element['id']); ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                    
                    <div class="form-group col-sm-12 derivacio_rao">
                            <label for="derivacio_rao">Raó de la derivació</label> <select class="form-control" id="derivacio_rao" name="derivacio_rao">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($tancaments_derivacions as $element) { ?>

                                <option value="<?php echo ($element['id']); ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                    
                     <div class="form-group col-sm-12 no_resolt_rao">
                            <label for="no_resolt_rao">Raó de la no resolució</label> <select class="form-control" id="no_resolt_rao" name="no_resolt_rao">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($tancaments_no as $element) { ?>

                                <option value="<?php echo ($element['id']); ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>

		        	
					
	        	</div>
			
	        	<div class="row">
				<div class="form-group col-sm-12">
	        	<label for="observacions" class="control-label">Informació sobre el tancament</label>
	        	<textarea id="observacions" name="observacions" class="form-control" rows="3"></textarea>
	        	</div></div>
	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary tanca">Guarda</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
	
	<div class="modal fade" id="edita_denunciant">
	  <div class="modal-dialog modal_wide">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Edita dades del denunciant</h4>
	      </div>
	      <div class="modal-body">
	        
	        <form id="form_edita_denunciant">
	        	<input type="hidden" name="id_denunciant" id="id_denunciant" value="<?php echo $fitxa['id']; ?>"/>
	        	<div class="row">
		        	<div class="form-group col-sm-4">
                            <label for="document_type">Tipus de document</label> <select class="form-control" id="document_type" name="document_type">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($document_types as $element) { ?>

                                <option value="<?php echo $element['id']; ?>" <?php if ($element['id'] == $fitxa['document_type']) {echo 'selected';} ?>>
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        
                        <div class="form-group col-sm-4 document_number">
                            <label for="document_number">Número del document</label> <input type="text" class="form-control" id="document_number" name="document_number" placeholder="número del document"  value="<?php echo $fitxa['document_number']; ?>"><span class="glyphicon glyphicon-ok form-control-feedback document-ok" aria-hidden="true"></span>
                       <span class="glyphicon glyphicon-remove form-control-feedback document-ko" aria-hidden="true"></span>
                        </div>
		        	<div class="form-group col-sm-4">
                            <label for="gender">Gènere</label> <input type="text" data-provide="typeahead" data-items="2" data-source='["Home","Dona"]'  class="form-control" id="gender" name="gender" placeholder="Gènere" value="<?php echo $fitxa['gender']; ?>"></div>
	        	</div>
	        	<div class="row">
		        	<div class="form-group col-sm-12">
                            <label for="name">Nom</label> 
                            <input type="text" class="form-control" id="name" name="name" placeholder="" value="<?php echo $fitxa['name']; ?>">
                    </div>
                    <div class="form-group col-sm-12">
                            <label for="surname_1">Cognom_1</label> 
                            <input type="text" class="form-control" id="surname_1" name="surname_1" placeholder="" value="<?php echo $fitxa['surname_1']; ?>">
                    </div>
                    <div class="form-group col-sm-12">
                            <label for="surname_2">Cognom_2</label> 
                            <input type="text" class="form-control" id="surname_2" name="surname_2" placeholder="" value="<?php echo $fitxa['surname_2']; ?>">
                    </div>
                     <div class="form-group col-sm-6">
                            <label for="carrer">Carrer</label> 
                            <input type="text" class="form-control" id="carrer" name="carrer" placeholder="" value="<?php echo $fitxa['carrer']; ?>">
                    </div>
                    <div class="form-group col-sm-3">
                            <label for="numero">Número</label> 
                            <input type="text" class="form-control" id="numero" name="numero" placeholder="" value="<?php echo $fitxa['numero']; ?>">
                    </div>
                    <div class="form-group col-sm-3">
                            <label for="rest">Pis/Porta/Escala/...</label> 
                            <input type="text" class="form-control" id="rest" name="rest" placeholder="" value="<?php echo $fitxa['rest']; ?>">
                    </div>
                    
                    
                        <div class="form-group col-sm-2">
                            <label for="cp">Codi Postal</label> <input type="text" class="form-control" id="cp" name="cp" placeholder="Codi Postal" value="<?php echo $fitxa['cp']; ?>">
                        </div>

                           <div class="form-group col-sm-3">
                            <label for="districte">Districte</label> <select class="form-control" id="districte" name="districte">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($districtes as $element) { ?>

                                <option value="<?php echo $element['iddistricte']; ?>" <?php if ($element['iddistricte'] == $fitxa['districte']) {echo 'selected';} ?> >
                                    <?php echo utf8_encode($element['districte']); ?>
                                </option><?php } ?>
                            </select>
                        </div>


                        <div class="form-group col-sm-4">
                            <label for="barri">Barri</label> <select class="form-control" id="barri" name="barri">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($barris as $element) { ?>

                                <option value="<?php echo $element['idbarri']; ?>" <?php if ($element['idbarri'] == $fitxa['barri']) {echo 'selected';} ?>>
                                    <?php echo utf8_encode($element['barri']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        
                        <div class="form-group col-sm-3">
                            <label for="city">Població</label> <input type="text" class="form-control" id="city" name="city" placeholder="Població" value="<?php echo $fitxa['city']; ?>">
                        </div>
                   <div class="form-group col-sm-4">
                            <label for="phone1">Telèfon 1</label> <input type="text" class="form-control" id="phone1" name="phone1" placeholder="Telèfon 1" value="<?php echo $fitxa['phone1']; ?>">
                        </div>

                        <div class="form-group col-sm-4">
                            <label for="phone2">Telèfon 2</label> <input type="text" class="form-control" id="phone2" name="phone2" placeholder="Telèfon 2" value="<?php echo $fitxa['phone2']; ?>">
                        </div>

                        <div class="form-group col-sm-4">
                            <label for="email">Email</label> <input type="text" class="form-control" id="email" name="email" placeholder="Email" value="<?php echo $fitxa['email']; ?>">
                        </div>

                    
		        	<div class="form-group col-sm-4">
                            <label for="nation">nacional de</label>
                            
                            <input type="text" data-provide="typeahead" data-items="8" data-source="<?php echo $data_country; ?>" class="form-control " id="nation" name="nation" placeholder="" value="<?php echo $fitxa['nation']; ?>">
                    </div>
                    <div class="form-group col-sm-4">
                            <label for="origin">origen</label> <input type="text" data-provide="typeahead" data-items="8" data-source="<?php echo $data_country; ?>" class="form-control" id="origin" name="origin" placeholder="" value="<?php echo $fitxa['origin']; ?>">
                        </div>
                    <div class="form-group col-sm-4">
                            <label for="born">data de neixement</label> <input type="date" class="form-control" id="born" name="born" placeholder="" value="<?php echo $fitxa['born']; ?>">
                        </div>
	        	</div>
	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary edita_denunciant">Edita</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
	
	<div class="modal fade" id="descriu_discriminacio">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Discriminació</h4>
	      </div>
	      <div class="modal-body">
	        
	        <form id="form_descriu_discriminacio">
	        	<input type="hidden" name="id" id="id" value="<?php echo $registre['id']; ?>" />
	        	<div class="row">
		        	<div class="form-group col-sm-12">
                            <label for="motius">Motius de discriminació <span class="glyphicon glyphicon-asterisk" aria-hidden="true"></label> <select multiple class="form-control"  id="motius" name="motius[]">
                        <?php foreach ($discriminacions_desplegable as $element) { ?>
                                <option value="<?php echo $element['id']; ?>" 
                                <?php
	                               if($registre['motius'] != '') {  
	                                if (in_array($element['id'], unserialize($registre['motius']) )) 
	                                {echo "selected";}} ?>>
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>

                        <div class="form-group col-sm-12">
                            <label for="drets">Drets vulnerats<span class="glyphicon glyphicon-asterisk" aria-hidden="true"></label> <select multiple class="form-control" class="form-control" id="drets" name="drets[]">
                        <?php foreach ($drets_desplegable as $element) { ?>
                                <option value="<?php echo $element['id']; ?>" <?php 
	                                if($registre['motius'] != '') {  
	                                if (in_array($element['id'], unserialize($registre['drets']) )) {echo "selected";}} ?>>
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        
                    <div class="form-group col-sm-12">
                            <label for="quan">Quan s'ha produït</label> <input type="text" class="form-control" id="quan" name="quan" placeholder="" value="<?php echo $registre['quan']; ?>">
                        </div>
                       <div class="form-group col-sm-12">
                            <label for="denunciat">Altres llocs on s'ha denunciat</label> <input type="text" class="form-control" id="denunciat" name="denunciat" placeholder="" value="<?php echo $registre['denunciat']; ?>">
                        </div>
                         <div class="form-group col-sm-12">
                            <label for="descripcio">Descripció</label> 
                            <textarea class="form-control" id="descripcio" name="descripcio"><?php echo $registre['descripcio']; ?></textarea>                        </div>
                    
                    
                    
	        	</div>
	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary add_descripcio_discriminacio">Guarda</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->


<!-- modal part acusada -->	
	<div class="modal fade" id="edita_part_acusada">
	  <div class="modal-dialog modal_wide">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Edita dades de la part acusada</h4>
	      </div>
	      <div class="modal-body">
	        
	        <form id="form_edita_part_acusada">
	        	<input type="hidden" name="id_expedient" id="id_expedient" value="<?php echo $registre['id']; ?>"/>
	        	<div class="row">
		        	<div class="form-group col-sm-4">
                            <label for="qui">Tipologia de la part acusada:</label> 
                            <select class="form-control"  id="qui" name="qui">
                        <?php foreach ($quins as $element) { ?>
                                <option value="<?php echo $element['id']; ?>" 
                                <?php
	                                
	                                if ($element['id'] == $registre['qui']) 
	                                {echo "selected";}?>>
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                            </div>
	        	</div>
	        	<div class="row">
		        	<div class="form-group col-sm-12">
                            <label for="acusada">Nom de la part acusada</label> 
                            <input type="text" class="form-control" id="acusada" name="acusada" placeholder="" value="<?php echo $registre['acusada']; ?>">
                    </div>
                    <hr />
                    <div class="form-group col-sm-12">
                            <label for="acusada_persona">Nom i cognoms de la persona de contacte</label> 
                            <input type="text" class="form-control" id="acusada_persona" name="acusada_persona" placeholder="" value="<?php echo $registre['acusada_persona']; ?>">
                    </div>
                     <div class="form-group col-sm-6">
                            <label for="acusada_phone">Telèfon</label> <input type="text" class="form-control" id="acusada_phone" name="acusada_phone" placeholder="Telèfon" value="<?php echo $registre['acusada_phone']; ?>">
                        </div>

                        <div class="form-group col-sm-6">
                            <label for="acusada_email">Email</label> <input type="text" class="form-control" id="acusada_email" name="acusada_email" placeholder="Email" value="<?php echo $registre['acusada_email']; ?>">
                        </div>

                   
                    <div class="form-group col-sm-12">
                            <label for="surname_2">Lloc dels fets</label> 
                            <input type="text" class="form-control" id="acusada_lloc" name="acusada_lloc" placeholder="" value="<?php echo $registre['acusada_lloc']; ?>">
                    </div>
                     <div class="form-group col-sm-6">
                            <label for="acusada_carrer">Carrer</label> 
                            <input type="text" class="form-control" id="acusada_carrer" name="acusada_carrer" placeholder="" value="<?php echo $registre['acusada_carrer']; ?>">
                    </div>
                    <div class="form-group col-sm-3">
                            <label for="acusada_numero">Número</label> 
                            <input type="text" class="form-control" id="acusada_numero" name="acusada_numero" placeholder="" value="<?php echo $registre['acusada_numero']; ?>">
                    </div>
                    <div class="form-group col-sm-3">
                            <label for="acusada_rest">Pis/Porta/Escala/...</label> 
                            <input type="text" class="form-control" id="acusada_rest" name="acusada_rest" placeholder="" value="<?php echo $registre['acusada_rest']; ?>">
                    </div>
                    
                    
                        <div class="form-group col-sm-2">
                            <label for="acusada_cp">Codi Postal</label> <input type="text" class="form-control" id="acusada_cp" name="acusada_cp" placeholder="Codi Postal" value="<?php echo $registre['acusada_cp']; ?>">
                        </div>

                           <div class="form-group col-sm-3">
                            <label for="acusada_districte">Districte</label> <select class="form-control" id="acusada_districte" name="acusada_districte">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($districtes as $element) { ?>

                                <option value="<?php echo $element['iddistricte']; ?>" <?php if ($element['iddistricte'] == $registre['acusada_districte']) {echo 'selected';} ?> >
                                    <?php echo utf8_encode($element['districte']); ?>
                                </option><?php } ?>
                            </select>
                        </div>


                        <div class="form-group col-sm-4">
                            <label for="acusada_barri">Barri</label> <select class="form-control" id="acusada_barri" name="acusada_barri">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($barris as $element) { ?>

                                <option value="<?php echo $element['idbarri']; ?>" <?php if ($element['idbarri'] == $registre['acusada_barri']) {echo 'selected';} ?>>
                                    <?php echo utf8_encode($element['barri']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        
                        <div class="form-group col-sm-3">
                            <label for="acusada_city">Població</label> <input type="text" class="form-control" id="acusada_city" name="acusada_city" placeholder="Població" value="<?php echo $registre['acusada_city']; ?>">
                        </div>
                   <div class="form-group col-sm-4">
                            <label for="acusada_lloc_phone1">Telèfon 1</label> <input type="text" class="form-control" id="acusada_lloc_phone1" name="acusada_lloc_phone1" placeholder="Telèfon 1" value="<?php echo $registre['acusada_lloc_phone1']; ?>">
                        </div>

                        <div class="form-group col-sm-4">
                            <label for="acusada_lloc_phone2">Telèfon 2</label> <input type="text" class="form-control" id="acusada_lloc_phone2" name="acusada_lloc_phone2" placeholder="Telèfon 2" value="<?php echo $registre['acusada_lloc_phone2']; ?>">
                        </div>

                        <div class="form-group col-sm-4">
                            <label for="acusada_lloc_email">Email</label> <input type="text" class="form-control" id="acusada_lloc_email" name="acusada_lloc_email" placeholder="Email" value="<?php echo $registre['acusada_lloc_email']; ?>">
                        </div>

                    
		        		        	</div>
	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary edita_part_acusada">Edita</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
	


		
    <?php include('../menu.php'); ?>

    <div class="container">
        <?php include('../info.php'); ?>

        <div class="row">
            <ol class="breadcrumb">
                <li><a href="../index.php">Inici</a></li>

                <li><a href="index.php">Expedients</a></li>

                <li class="active"><?php echo $registre['ide']; ?></li>
            </ol>
        </div>
		
		<div class="row" style="margin-bottom: 15px; ">
			<div class="col-xs-1">
				<div class="col-xs-12">Expedient</div>
				<div class="col-xs-12"><?php echo $registre['ide']; ?></div>
			</div>

			<div class="col-xs-2">
				<div class="col-xs-12">Referència</div>
				<div class="col-xs-12"><?php echo $registre['aida']; ?></div>
			</div>
			
			<div class="col-xs-2">
				<div class="col-xs-12">Data d'entrada</div>
				<div class="col-xs-12"><?php $date_mysql = DateTime::createFromFormat('Y-m-d H:i:s', $fitxa['date']);
		      			$date = $date_mysql->format('d-m-Y H:i:s'); 
		      		    echo ($date); ?></div>
			</div>
			
			<div class="col-xs-3">
				<div class="col-xs-12">Coneixement de l'OADD</div>
				<div class="col-xs-12"><?php echo utf8_encode($knows[$fitxa['know']-1]['literal']); ?> </div>
			</div>
			
			<div class="col-xs-2 contenidor_referent">
				<div class="col-xs-12">Referent</div>
				<div class="col-xs-12"><?php echo $users[$registre['referent']-1]['name']; ?>
				<?php if ($registre['estat'] != 2) { ?>
					<a href="#" class="btn btn-primary btn-xs active show_asigna_referent" role="button">
						<span class="glyphicon glyphicon-user" aria-hidden="true"></span></a>
				<?php } ?>
				</div>
			</div>
			<div class="col-xs-2 assigna_referent">
				<div class="col-xs-12">Referent</div>
				<div class="col-xs-9">
					<select class="form-control" id="llistat_referents" name="llistat_referents">
                                <option value="0">
                                    ------
                                </option><?php
                                foreach ($users as $element) { ?>
	                                <option value="<?php echo $element['id']; ?>" <?php if($registre['referent'] == $element['id']) {echo 'selected';} ?>>
    	                                <?php echo $element['name']; ?>
										</option><?php } ?>
                    </select>
                </div>
                <div class="col-xs-2">
	                <a href="#" class="btn btn-primary btn-xs active guarda_referent" role="button">
						<span class="glyphicon glyphicon-user" aria-hidden="true"></span></a>
                </div>
			</div>
			
			<div class="col-xs-2">
				<div class="col-xs-12">Estat</div>
				<div class="col-xs-12"><?php if ($registre['estat'] != '') { ?>
		      		<span class="label <?php echo $label_expedient[$registre['estat']]; ?>">Expedient <?php echo $estat_expedient[$registre['estat']]; ?></span> 
		      		<?php } ?></div>
			</div>
		</div>
		<hr />
	<div class="row">
	<div class="col-xs-2 navbar-example">
			<ul class="nav nav-pills nav-stacked" data-spy="affix" data-offset-top="0">
				<li role="presentation" class="menu_l denunciant active"><a href="#denunciant" id="g_denunciant" >Denunciant</a></li>
				<li class="menu_l discriminacio"><a href="#discriminacio" id="g_discriminacio">Discriminació</a></li>
				<li class="menu_l acusada"><a href="#part_acusada" id="g_acusada" >Part acusada</a></li>
				<li class="menu_l agents"><a href="#agents" id="g_agents">Altres agents</a></li>
				<li class="menu_l actuacions"><a href="#actuacions" id="g_actuacions">Actuacions</a></li>
			</ul>
		</div>
		<div class="col-xs-10">	
		 <?php if ($registre['estat'] == 2) { ?>	
		<div class="tab-content">
            <div class="panel panel-default active" id="tancament">
                <div class="panel-heading"><h3 class="panel-title">Tancament</h3></div>
                <div class="panel-body">
	            <?php foreach ($closed as $close) { 	            
					 $close = array_map("stripslashes", $close);
					 $close = array_map("utf8_encode", $close);
					 
	            ?>   
	                <div class="row">
		               <div class="col-xs-3">
	      		<?php 
		      		$data0 = DateTime::createFromFormat('Y-m-d H:i:s', $close['time']);
		      			$data = $data0->format('d-m-Y H:i:s');
		      			echo $data; 
		      		 ?>
      					</div>
      					<div class="col-xs-9">
	      					 <p><strong><?php echo utf8_encode($tancaments[$close['tancament_tipus']-1]['literal']); ?></strong></p>
      					</div>
		                <div class="col-xs-12">
			                
			                <p><?php echo $close['descripcio']; ?></p>
			                
		                </div>
	                </div>
	                <?php } ?>
                </div>
                
            </div>	
		<?php } ?>	
			
        <div class="tab-content">
            <div class="panel panel-default active" id="denunciant">
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Denunciant 
	                   <?php if ($registre['estat'] != 2) { ?>
	                    <a href="#edita_denunciant" class="btn btn-primary btn-xs active show_edita_denunciant" role="button">
	                    <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
	                    </a>
						<?php } ?>
	                </h3>
                </div>

                <div class="panel-body">
                    

                    <div class="row">
                        <div class="col-xs-12">
                           <h3> <?php echo $fitxa['name']." ".$fitxa['surname_1']." ".$fitxa['surname_2']; ?></h3>
                           <p><?php 
	                           if ($fitxa['document_type'] == 0) {
		                           echo "sense document: ".$fitxa['aida'];
	                           }
	                           else {
	                           echo utf8_encode($document_types[$fitxa['document_type']-1]['literal']).": ".$fitxa['document_number'];} ?></p>
                        </div>
                    </div>
                    <hr>
					
					 <div class="row">
                        <div class="col-xs-3">
                            <strong>Nacionalitat</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Origen</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Data de neixement</strong>
                        </div>
                        
                        <div class="col-xs-3">
                            <strong>Gènere</strong>
                        </div>
                        
                    </div>

                    <div class="row">
                        <div class="col-xs-3" >
                           <span><?php echo $fitxa['nation'];  ?></span>
                        </div>

                        <div class="col-xs-3">
                            <span><?php echo $fitxa['origin'];  ?></span>
                        </div>

                        <div class="col-xs-3">
                            <span><?php echo $fitxa['born'];  ?></span>
                        </div>
                        
                        <div class="col-xs-3">
                          <span><?php echo $fitxa['gender'];  ?></span>
                        </div>
                    </div>
                    <hr>
					
                    <div class="row">
                        <div class="col-xs-4">
                            <strong>Adreça</strong>
                        </div>
                        <div class="col-xs-1">
                            <strong>CP</strong>
                        </div>
                        <div class="col-xs-2">
                            <strong>Districte</strong>
                        </div>
                        <div class="col-xs-3">
                            <strong>Barri</strong>
                        </div>
                        <div class="col-xs-1">
                            <strong>Població</strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-4">
                            <span><?php echo $fitxa['carrer']." ".$fitxa['numero']." ".$fitxa['rest'];  ?></span>
                        </div>
                        <div class="col-xs-1">
                            <?php echo $fitxa['cp'];  ?>
                        </div>
                        <div class="col-xs-2">
                            <?php echo utf8_encode($districtes[$fitxa['districte']-1]['districte']);  ?>
                        </div>
                        <div class="col-xs-3">
                             <?php echo utf8_encode($barris[$fitxa['barri']-1]['barri']);  ?>
                        </div>
                        <div class="col-xs-1">
                            <?php echo $fitxa['city'];  ?>
                        </div>
                    </div>
                    <hr>




                    <div class="row">
                        <div class="col-xs-3">
                            <strong>Telèfon 1</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Telèfon 2</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Email</strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-3">
                            <?php echo $fitxa['phone1'];  ?>
                        </div>

                        <div class="col-xs-3">
                           <?php echo $fitxa['phone2'];  ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo $fitxa['email'];  ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-default active" id="discriminacio">
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Discriminació 
	                    <?php if ($registre['estat'] != 2) { ?>
	                    <a href="#descriu_discriminacio" class="btn btn-primary btn-xs active show_descriu_discriminacio" role="button">
	                    <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
	                    </a>
	                    <?php } ?>
	                    </h3>
                </div>

                <div class="panel-body">
                    

                    					
					 <div class="row">
                        <div class="col-xs-5">
                            <strong>Motius de discriminació</strong>
                        </div>
                         <div class="col-xs-5">
                            <strong>Discriminació</strong>
                        </div>
					 </div>
					 <div class="row">
						<div class="col-xs-5">
                           <?php
	                        if ($registre['motius'] != '') {   
	                           $elements = unserialize($registre['motius']);
								foreach ($elements as $element) { ?>
								<span class="label label-default">
								<?php	echo utf8_encode($discriminacions[$element-1]['literal']);?></span>
								<?php }}
								
								 ?>
                        </div>
                        <div class="col-xs-5">
                            <?php
	                        if ($registre['motius'] != '') {  
		                       $contador = array();  
	                           $elements = unserialize($registre['motius']);
								foreach ($elements as $element) {
									if(!in_array($blocs[$discriminacions[$element-1]['bloc'] - 1], $contador)) { 
							    array_push ($contador, $blocs[$discriminacions[$element-1]['bloc'] - 1]);
							    
								?>
								<span class="label label-default">
								<?php	echo utf8_encode($blocs[$discriminacions[$element-1]['bloc'] - 1]['literal']);?></span>
								<?php }}}
								
								 ?>
                        </div>

                    </div>
				
					<hr />
					<div class="row">
                        <div class="col-xs-5">
                            <strong>Drets vulnerats</strong>
                        </div>

					 </div>
					 <div class="row">
						<div class="col-xs-12">
                        
                           <?php
	                            if ($registre['drets'] != '') { 
	                            $elements = unserialize($registre['drets']);
								foreach ($elements as $element) { ?>
								<span class="label label-default">
								<?php	echo utf8_encode($drets[$element-1]['literal']);?></span>
								<?php }}
								
								 ?>
                        
                        </div>
                    </div>
				
					<hr />
					<div class="row">
                        <div class="col-xs-5">
                            <strong>Descripció</strong>
                        </div>

					 </div>
					 <div class="row">
						<div class="col-xs-12">
                          <?php echo $registre['descripcio']; ?>    </div>
                    </div>
                    
                     <hr />
                   <div class="row">
                        <div class="col-xs-12">
                            <strong>Quan s'ha produït la discriminació</strong>
                        </div>

					 </div>
			
					 <div class="row">
						<div class="col-xs-12">
                           <span><?php echo $registre['quan']; ?></span>
                        </div>
                    </div>
                    
                <hr />
                   <div class="row">
                        <div class="col-xs-12">
                            <strong>Altres llocs on s'ha denunciat</strong>
                        </div>

					 </div>
			
					 <div class="row">
						<div class="col-xs-12">
                           <?php echo $registre['denunciat']; ?>
                        </div>
                    </div>
                                    </div>
            </div>
            <div class="panel panel-default active" id="part_acusada">
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Part acusada</span> 
	                    <?php if ($registre['estat'] != 2) { ?>
	                    <a href="#edita_part_acusada" class="btn btn-primary btn-xs active show_edita_part_acusada" role="button">
	                    <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
	                    </a>
	                    <?php } ?>
	                    </h3>
                </div>

                <div class="panel-body">
                    

                    <div class="row">
                        <div class="col-xs-12">
                           <h3><?php echo $registre['acusada']; ?></h3>
                           <p><span class="label label-default"><?php echo utf8_encode($quins[$registre['acusada_qui']-1]['literal']); ?></span></p>
                        </div>
                    </div>
                    <hr>
					
					 <div class="row">
                        <div class="col-xs-6">
                            <strong>Dades de contacte de la part acusada</strong>
                        </div>
					 </div>
					 <div class="row"  style="margin-top:15px;" >
                        <div class="col-xs-3">
                            <strong>Nom i cognoms</strong>
                        </div>
                        <div class="col-xs-2">
                            <strong>Telèfon</strong>
                        </div>
                        <div class="col-xs-1">
                            <strong>email</strong>
                        </div>

                        
                    </div>
					
					 <div class="row">
                        <div class="col-xs-3">
                           <?php echo $registre['acusada_persona']; ?>
                        </div>
                        <div class="col-xs-2">
                            <?php echo $registre['acusada_phone']; ?>
                        </div>
                        <div class="col-xs-1">
                            <?php echo $registre['acusada_email']; ?>
                        </div>
                       
                        
                    </div>
					
                    <hr>
					
                    <div class="row">
                        <div class="col-xs-12">
                            <strong>Lloc dels fets</strong>
                        </div>
                    </div>
                     

                    <div class="row">
                        <div class="col-xs-12">
                           <?php echo $registre['acusada_lloc']; ?>
                        </div>
                    </div>
                    <div class="row"  style="margin-top:15px;">
                        <div class="col-xs-3">
                            <strong>Adreça</strong>
                        </div>
                        <div class="col-xs-1">
                            <strong>CP</strong>
                        </div>
                        <div class="col-xs-3">
                            <strong>Districte</strong>
                        </div>
                        <div class="col-xs-3">
                            <strong>Barri</strong>
                        </div>
                        <div class="col-xs-2">
                            <strong>Població</strong>
                        </div>
                    </div>
                    <div class="row"  >
                        <div class="col-xs-3">
                            <?php echo $registre['acusada_carrer']; ?> <?php echo $registre['acusada_numero']; ?> <?php echo $registre['acusada_rest']; ?>
                        </div>
                        <div class="col-xs-1">
                            <?php echo $registre['acusada_cp']; ?>
                        </div>
                        <div class="col-xs-3">
                            <?php echo utf8_encode($districtes[$registre['acusada_districte']-1]['districte']);  ?>
                        </div>
                        <div class="col-xs-3">
	                        <?php echo utf8_encode($barris[$registre['acusada_barri']-1]['barri']);  ?>
                            
                        </div>
                        <div class="col-xs-2">
                            <?php echo $registre['acusada_city']; ?>
                        </div>
                    </div>
                    <hr>
 
					
					 <div class="row">
                        <div class="col-xs-6">
                            <strong>Dades de contacte del lloc dels fets</strong>
                        </div>
					 </div>
					 <div class="row"  style="margin-top:15px;" >
                        <div class="col-xs-3">
                            <strong>Telèfon 1</strong>
                        </div>
                        <div class="col-xs-2">
                            <strong>Telèfon 2</strong>
                        </div>
                        <div class="col-xs-1">
                            <strong>email</strong>
                        </div>

                        
                    </div>
					
					 <div class="row">
                        <div class="col-xs-3">
                           <?php echo $registre['acusada_lloc_phone1']; ?>
                        </div>
                        <div class="col-xs-2">
                            <?php echo $registre['acusada_lloc_phone2']; ?>
                        </div>
                        <div class="col-xs-1">
                            <?php echo $registre['acusada_lloc_email']; ?>
                        </div>
                       
                        
                    </div>
                </div>
            </div>
            
            <div class="panel panel-default active" id="agents">
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Altres agents </h3>
                </div>

                <div class="panel-body contenidor_tercers">
                    

                    
                </div>
            </div>
            
            <div class="panel panel-default active" id="actuacions">
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Actuacions
	                    <?php if ($registre['estat'] != 2) { ?>
	                    <a href="#afegeix_actuacio" class="btn btn-primary btn-xs active show_afegeix_actuacio" role="button">
	                    <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>
	                    </a>
	                    <?php } ?>
	                    </h3>
                </div>

                <div class="panel-body contenidor_actuacions">
                 <div class="row">
						<div class="col-xs-1">
                           0
                        </div>
                        <div class="col-xs-1">
                           28/11/2014
                        </div>
                        <div class="col-xs-4">
                           Obertura de l'expedient
                        </div>
                    </div>   
				
                    
                </div>
            </div>
            
        </div></div>
		<?php if ($registre['estat'] != 2) { ?>	
            <div class="row">
			 <div class="col-sm-6 col-md-offset-6" style="margin-bottom: 15px;">
					  <a title="tanca_expedient" class="tanca_expedient" href="#tanca_expedient"><button type="button" class="btn btn-default" style="float:right;">
					  
						  <span class="glyphicon glyphicon-plus-sign"></span> 
						  Tancar expedient
					  </button></a> 
			 </div> 
			</div>
		<?php } ?>
		<?php if ($registre['estat'] == 2) { ?>	
            <div class="row">
			 <div class="col-sm-6 col-md-offset-6" style="margin-bottom: 15px;">
					  <a title="reobre_expedient" class="reobre_expedient" href="#reobre_expedient"><button type="button" class="btn btn-default" style="float:right;">
					  
						  <span class="glyphicon glyphicon-plus-sign"></span> 
						  Reobre expedient
					  </button></a> 
			 </div> 
			</div>
		<?php } ?>
        </div>
    </div><!-- /container --><script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js" type="text/javascript">
</script><script type="text/javascript">
window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')
    </script><script src="../js/vendor/bootstrap.min.js" type="text/javascript">
</script><script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js" type="text/javascript">
</script><script src="../js/main.js" type="text/javascript"></script>
		<!-- The Iframe Transport is required for browsers without support for XHR file uploads -->
		<script src="../js/jquery.iframe-transport.js"></script>
		<!-- The basic File Upload plugin -->
		<script src="../js/jquery.fileupload.js"></script>
<script src="../js/bootstrap-typeahead.js" type="text/javascript">	
</script>
<script src="../js/barris.js" type="text/javascript">	
</script>
<script src="../js/completa.js" type="text/javascript">	
</script>
<script src="../js/completa_e.js" type="text/javascript">	
</script>
<script src="../js/completa_a.js" type="text/javascript">	
</script>
<script src="../js/vendor/nifnie.js" type="text/javascript"></script>
<script src="//code.jquery.com/ui/1.11.2/jquery-ui.js"></script>
		
<script type="text/javascript">
	
	$(".contenidor_actuacions" ).html('');
	
	$.get( "get_actuacions.php?id=<?php echo $registre['id']; ?>", function( data ) {
		
		$( ".contenidor_actuacions" ).html( data );
		$(".actuacio_info" ).hide();
		$(".hide_actuacio_info" ).hide();
		});
		
		$(".contenidor_tercers" ).html('');
	
	$.get( "get_tercers.php?id=<?php echo $registre['id']; ?>", function( data ) {
		
		$( ".contenidor_tercers" ).html( data );
		$(".actuacio_info" ).hide();
		$(".hide_actuacio_info" ).hide();
		});	
	
			$(".assigna_referent" ).hide(); 
            $( "#expedients" ).addClass( "active" );
            $( ".detall_tipus" ).hide();
            $( ".derivacio_rao" ).hide();
            $( ".no_resolt_rao" ).hide();
            $( ".puja_informe" ).hide();
            $( ".add_tercera" ).hide();
            
            
            $( "#tipus" ).change(function() {
			  if ($( "#tipus" ).val() == 6 || $( "#tipus" ).val() == 8 ) {
				  $( ".detall_tipus" ).show();
			  }
			  if ($( "#tipus" ).val() != 6 && $( "#tipus" ).val() != 8 ) {
				  $( ".detall_tipus" ).hide();
			  }
			  
			  if ($( "#tipus" ).val() == 9 ) {
				  $( ".puja_informe" ).show();
			  }
			  
			  if ($( "#tipus" ).val() != 9 ) {
				  $( ".puja_informe" ).hide();
			  }
			  
			  if ($( "#tipus" ).val() == 10 ) {
				  $( ".add_tercera" ).show();
			  }
			  
			  if ($( "#tipus" ).val() != 10 ) {
				  $( ".add_tercera" ).hide();
			  }
			  
			  if ($( "#tipus" ).val() != 0 ) {
				  $( ".guarda_nova_actuacio" ).prop("disabled", false);
			  }
			  
			   if ($( "#tipus" ).val() == 0 ) {
				  $( ".guarda_nova_actuacio" ).prop("disabled", true);
			  }
			  
			});
			$( "#tipus_tancament" ).change(function() {
			  if ($( "#tipus_tancament" ).val() == 2 ) {
				  $( ".derivacio_rao" ).show();
			  }
			  if ($( "#tipus_tancament" ).val() != 2 ) {
				  $( ".derivacio_rao" ).hide();
			  }
			  
			  if ($( "#tipus_tancament" ).val() == 3 ) {
				  $( ".no_resolt_rao" ).show();
			  }
			  if ($( "#tipus_tancament" ).val() != 3 ) {
				  $( ".no_resolt_rao" ).hide();
			  }
			  
			  if ($( "#tipus_tancament" ).val() == 0 ) {
				  $( ".tanca" ).prop("disabled", true);
			  }
			  if ($( "#tipus_tancament" ).val() != 0 ) {
				  $( ".tanca" ).prop("disabled", false);
			  }
			  
			});


$( ".show_asigna_referent" ).click(function(event) {
	$( ".contenidor_referent" ).hide();
	$(".assigna_referent" ).show(); 
});

$( ".guarda_referent" ).click(function(event) {
	var referent = $( "#llistat_referents" ).val()

	$.get( "assigna_referent.php?id="+<?php echo $registre['id']; ?>+"&r="+referent, function( data ) {
		$( ".contenidor_referent" ).hide();
	$(".assigna_referent" ).show();
	 location.reload(); 	
		
	});

});
			
	$( "#g_actuacions" ).click(function(event) {
		event.preventDefault();
		$(".menu_l").removeClass('active');
		$(".actuacions").addClass('active');
		$('html, body').animate({
        scrollTop: $("#actuacions").offset().top - 100
    }, 800);
});

	$( "#g_denunciant" ).click(function(event) {
		event.preventDefault();
		$(".menu_l").removeClass('active');
		$(".denunciant").addClass('active');
		$('html, body').animate({
        scrollTop: $("#denunciant").offset().top - 100
    }, 800);
});

	$( "#g_discriminacio" ).click(function(event) {
		event.preventDefault();
		$(".menu_l").removeClass('active');
		$(".discriminacio").addClass('active');
		$('html, body').animate({
        scrollTop: $("#discriminacio").offset().top - 100
    }, 800);
});

	$( "#g_acusada" ).click(function(event) {
		event.preventDefault();
		$(".menu_l").removeClass('active');
		$(".acusada").addClass('active');
		$('html, body').animate({
        scrollTop: $("#part_acusada").offset().top - 100
    }, 800);
});

	$( "#g_agents" ).click(function(event) {
		event.preventDefault();
		$(".menu_l").removeClass('active');
		$(".agents").addClass('active');
		$('html, body').animate({
        scrollTop: $("#agents").offset().top - 100
    }, 800);
});


	$('#districte').change(function() {

	$("#barri").removeAttr("disabled");

	if (this.value != 0) {
		Barri(this.value, 1);
		
	  }
	  
  	if (this.value == 0) {
		Barri(this.value, 1);
		$('#barri').attr("disabled", "disabled");
	  }
	 
  
});

	$('#acusada_districte').change(function() {

	$("#acusada_barri").removeAttr("disabled");

	if (this.value != 0) {
		Barri(this.value, 1);
		
	  }
	  
  	if (this.value == 0) {
		Barri(this.value, 1);
		$('#acusada_barri').attr("disabled", "disabled");
	  }
	 
  
});

$('#acusada_numero').change(function() {
	completa_a($('#acusada_carrer').val(), $('#acusada_numero').val());
	   
});

$('#numero_e').change(function() {
	completa_e($('#carrer_e').val(), $('#numero_e').val());
	   
});

$('#numero').change(function() {
	completa($('#carrer').val(), $('#numero').val());
	   
});

  $(function() {
     $.ajax({
      url: "../inc/cars.xml",
      dataType: "xml",
      success: function( xmlResponse ) {
        var data = $( "car", xmlResponse ).map(function() {
          return {
            value: $("nom_carrer", this).text(),
            id: $( "acusada_carrer", this ).text()
          };
        }).get();
        $( "#acusada_carrer" ).autocomplete({
          source: data,
          minLength: 2
        });
      }
    });
  });

  $(function() {
     $.ajax({
      url: "../inc/cars.xml",
      dataType: "xml",
      success: function( xmlResponse ) {
        var data = $( "car", xmlResponse ).map(function() {
          return {
            value: $("nom_carrer", this).text(),
            id: $( "carrer", this ).text()
          };
        }).get();
        $( "#carrer" ).autocomplete({
          source: data,
          minLength: 2
        });
      }
    });
  });

  $(function() {
     $.ajax({
      url: "../inc/cars.xml",
      dataType: "xml",
      success: function( xmlResponse ) {
        var data = $( "car", xmlResponse ).map(function() {
          return {
            value: $("nom_carrer", this).text(),
            id: $( "carrer", this ).text()
          };
        }).get();
        $( "#carrer_e" ).autocomplete({
          source: data,
          minLength: 2
        });
      }
    });
  });
	
            $( ".document-ok" ).hide();
            $( ".document-ko" ).hide();
	
	$( "#document_type" ).change(function() { 
				if ($( "#document_type" ).val() == 4) {
				  	$( "#document_number" ).val($( "#aida" ).val());
				  	$( "#document_number" ).prop('disabled', true);
				  	$( ".document-ok" ).hide();
					$( ".document-ko" ).hide();   
				  }
				if ($( "#document_type" ).val() == 1 || $( "#document_type" ).val() == 2 || $( "#document_type" ).val() == 3) {
				    $( "#document_number" ).prop('disabled', false);
				    
				    if ($( "#document_number" ).val() != '' && $( "#document_type" ).val() == 3) {
					    		$( ".document-ok" ).hide();
								$( ".document-ko" ).hide();
					    }
				    
				    if ($( "#document_number" ).val() != '' && $( "#document_type" ).val() != 3) {
					    var document_type = $( "#document_type" ).val();
					    var z = validate_nif($( "#document_number" ).val());
					    
							if (z == 1 && document_type == 1) {
								$( ".document_number" ).addClass('has-success has-feedback');
								$( ".document-ok" ).show();
								$( ".document-ko" ).hide();
							}
							else if (z == 3 && document_type == 2) {
								$( ".document_number" ).addClass('has-success has-feedback');
								$( ".document-ok" ).show();
								$( ".document-ko" ).hide();
							}
							else {
								$( ".document_number" ).addClass('has-error has-feedback');
								$( ".document-ko" ).show();
								$( ".document-ok" ).hide();
							}
					    
				    }  
				  }
			  
			});
			
			$( "#document_number" ).change(function() {
				var document_type = $( "#document_type" ).val();
				if (document_type == 1 || document_type == 2) {  
					var z = validate_nif($( "#document_number" ).val());
				
					if (z == 1 && document_type == 1) {
						$( ".document_number" ).addClass('has-success has-feedback');
						$( ".document-ok" ).show();
						$( ".document-ko" ).hide();
					}
					else if (z == 3 && document_type == 2) {
						$( ".document_number" ).addClass('has-success has-feedback');
						$( ".document-ok" ).show();
						$( ".document-ko" ).hide();
					}
					else {
						$( ".document_number" ).addClass('has-error has-feedback');
						$( ".document-ko" ).show();
						$( ".document-ok" ).hide();
					}
				}
			});

$('.guarda_nova_actuacio').prop("disabled", true);
$('.tanca').prop("disabled", true);



	
			
    </script>
</body>
</html>
