<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');

$noticies = select_sql("SELECT * FROM noticies");
$noticies_number = count($noticies);



if (isset($_POST) && $_POST['grup']!='' && $_POST['email']!=''){

		$sth = $db->prepare('INSERT INTO contactes 
			(grup, nom, organitzacio, email)
			VALUES(?, ?, ?, ?)');
		
		foreach ($_POST as $key =>$value)
			{
				if (is_string($value)) {$formulari[$key] = utf8_decode(stripslashes($value));}
				else {$_SESSION[$key] = $value;}
			}
		
			$data = array($formulari['grup'],
					  $formulari['nom'],
					  $formulari['organitzacio'],
					  $formulari['email'],
					 );
			$a = $db->execute($sth, $data);
			//print_r($a);
			header('Location: index.php');
}



?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title>acellec.cat - Panell de control - Notícies</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width">

        <link rel="stylesheet" href="../css/bootstrap.min.css">
        <link rel="stylesheet" href="../css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="../css/main.css">
        
        <script src="../classes/ckeditor/ckeditor.js"></script>

           <style>
            body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
        </style>
    </head>
    <body>
		<?php include('../menu.php'); ?>  

    <div class="container">
      <?php include('../info.php'); ?>  
	  <div class="row">
      <ol class="breadcrumb">
		  <li><a href="../index.php">Inici</a></li>
		  <li><a href="index.php">Contactes</a></li>
		  <li class="active">Afegir contacte</li>
	  </ol>
    </div>
    
	<h3>Afegir contacte</h3>
	<div class="row">
		<div class="col-sm-10">
			<form role="form" action="add_contacte.php" enctype="multipart/form-data" method="post">
			  <div class="form-group <?php if (isset($_POST) && $_POST['nom'] === '') {echo "has-error";} ?>">
			    <label for="nom" <?php if (isset($_POST) && $_POST['nom'] === '') {echo "style=\"color:red\"";} ?>>
			    	 Cognoms, Nom</label>
			        <input type="text" class="form-control" id="nom" name="nom" placeholder="Cognoms, Nom" value="<?php echo stripslashes($_POST['nom']); ?>">  
			  </div>
			  
			  
			  <div class="form-group <?php if (isset($_POST) && $_POST['organitzacio'] === '') {echo "has-error";} ?>">
			    <label for="organitzacio" <?php if (isset($_POST) && $_POST['organitzacio'] === '') {echo "style=\"color:red\"";} ?>>
			    	 Organitzacio</label>
			        <input type="text" class="form-control" id="organitzacio" name="organitzacio" placeholder="Organitzacio" value="<?php echo stripslashes($_POST['organitzacio']); ?>">  
			  </div>
			  
			  <div class="form-group <?php if (isset($_POST) && $_POST['email'] === '') {echo "has-error";} ?>">
			    <label for="email" <?php if (isset($_POST) && $_POST['email'] === '') {echo "style=\"color:red\"";} ?>>
			    	<span class="glyphicon glyphicon-asterisk"></span> Email</label>
			        <input type="text" class="form-control" id="email" name="email" placeholder="Email" value="<?php echo stripslashes($_POST['email']); ?>">  
			  </div>
			  
			  <div class="form-group <?php if (isset($_POST) && $_POST['grup'] === '') {echo "has-error";} ?>">
			    <label for="grup" <?php if (isset($_POST) && $_POST['grup'] === '') {echo "style=\"color:red\"";} ?>>
			    	<span class="glyphicon glyphicon-asterisk"></span> Grup</label>
			        <input type="text" class="form-control" id="grup" name="grup" placeholder="Grup" value="<?php echo stripslashes($_POST['grup']); ?>">  
			  </div>
			  
			 
			  
			  <button type="submit" class="btn btn-default">Guarda</button>
			</form>
		</div>
	</div>
    
    </div> <!-- /container -->        
    	
    	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')</script>
        <script src="../js/vendor/bootstrap-maxlength.min.js"><\/script>
        <script src="../js/vendor/bootstrap.min.js"></script>
        <script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        <script src="../js/main.js"></script>
		<script>
       			$( "#contactes" ).addClass( "active" );
       		</script>
    </body>
</html>
