<?php 

require_once('../inc/connect.php');
require_once('../inc/util.php');

$users = select('app_users');
$tipus_actuacions = select('expedients_actuacions_type');
$tancaments = select('expedient_tancament');

if (count($_GET) != 0) {
		$sql = "SELECT *
				FROM expedients_actuacions
				WHERE ide = ".$_GET['id']." 
				ORDER BY expedients_actuacions.id";
				
		$registres = select_sql($sql);
}

if (count($registres)) {
$ordre = 0;
foreach ($registres as $registre) { 
		$registre = array_map("stripslashes", $registre);
		$registre = array_map("utf8_encode", $registre);
		$ordre+=1;
      	?>
      	<div class="row">
      	  	<div class="col-xs-1">
	      		<?php echo ($ordre); ?>
      	  	</div>
      		<div class="col-xs-3">
	      		<?php 
		      		$data0 = DateTime::createFromFormat('Y-m-d H:i:s', $registre['time']);
		      			$data = $data0->format('d-m-Y H:i:s');
		      			echo $data; 
		      		 ?>
      		</div>
      		
      		<div class="col-xs-7">
	      		<strong><?php echo utf8_encode($tipus_actuacions[$registre['tipus']-1]['literal']); ?>
	      				<?php if ($registre['tipus'] == 11) {?>
	      				Reobertura de l'expedient
	      				<?php }	?>
	      				<?php if ($registre['tipus'] == 12) {?>
	      				Tancament de l'expedient || <?php echo utf8_encode($tancaments[$registre['tancament_tipus']-1]['literal']); ?>
	      				<?php }	?>
	      		
	      		</strong>
      		</div>
      		<div class="col-xs-1" >
	      		<span class="glyphicon glyphicon-eye-open show_actuacio_info" id="show_act_<?php echo $registre['id'] ?>" aria-hidden="true"></span>
	      		<span class="glyphicon glyphicon-eye-close hide_actuacio_info" id="hide_act_<?php echo $registre['id'] ?>" aria-hidden="true"></span>
	      	</div>

      	</div>
      	
      	<div class="row actuacio_info" id="descripcio_<?php echo $registre['id'] ?>">
	      	<div class="col-xs-12">
		      	<?php echo ($registre['descripcio']); ?>
	      	</div>

	      	<div class="col-xs-12">
		      	<?php echo ($registre['detall']); ?>
	      	</div>
      	</div>
      	<hr />
<?php }} ?>