<?php 

require_once('../inc/connect.php');
require_once('../inc/util.php');

$users = select('app_users');
$discriminacions = select('expedient_discriminacions');
$blocs = select('expedient_discriminacions_blocs');
$drets = select('expedient_drets');


$estat_expedient = array(0 => 'per assignar', 1 => 'obert', 2 => 'tancat');
$label_expedient = array(0 => 'label-danger', 1 => 'label-info', 2 => 'label-success');

if (count($_GET) == 0) {
		$sql = "SELECT *
				FROM expedients
				JOIN informacio
				ON informacio.id = expedients.idi
				ORDER BY expedients.ide DESC";
		$registres = select_sql($sql);
}

if (isset($_GET['d'])) {
			$sql = "SELECT *
				FROM expedients
				JOIN informacio
				ON informacio.id = expedients.idi
				WHERE drets LIKE '%\"".$_GET['d']."\"%'
				ORDER BY expedients.ide DESC";
		$registres = select_sql($sql);
}

if (isset($_GET['m'])) {
			$sql = "SELECT *
				FROM expedients
				JOIN informacio
				ON informacio.id = expedients.idi
				WHERE motius LIKE '%\"".$_GET['m']."\"%'
				ORDER BY expedients.ide DESC";
		$registres = select_sql($sql);
}

if (count($registres)) {

foreach ($registres as $registre) { 
		$registre = array_map("stripslashes", $registre);
		$registre = array_map("utf8_encode", $registre);
      	?>
      	
      	<div class="row element-llistat">
      		<div class="col-xs-1 aida">
	      		<?php echo ($registre['aida']); ?>
      		</div>
      		<div class="col-xs-1 aida">
	      		<?php echo ($registre['ide']); ?>
      		</div>
      		<div class="col-xs-4 aida">	
	      		<?php
		      		
		      	if ($registre['who'] == 2 || $registre['who'] == 3 || $registre['who'] == 4) {	 
		      		if ($registre['name'] == '' & $registre['surname_1'] == '' & $registre['surname_2'] == '') {
		      		echo "<em>anònim</em>";
		      		}
		      		else {echo ($registre['name']." ".$registre['surname_1']." ".$registre['surname_2']);}
		      		}
		        if ($registre['who'] == 1) {	 
		      		if ($registre['name_e'] == '') {
		      			echo "<em>anònim</em>";
		      		}
		      		else {echo ($registre['name_e']);}
		      		}
		      	
		      	if ($registre['who'] == 5) {	 
		      		if ($registre['name_gdf'] == '') {
		      			echo "<em>anònim</em>";
		      		}
		      		else {echo ($registre['name_gdf']);}
		      		}
		      	
		      		 ?>
		      	<?php if ($registre['alias'] != '') { ?> 	 
		      	<strong>[<?php echo ($registre['alias']); ?>]</strong>
		      	<?php } ?>
		      	
      		</div>
      		
	      		

      		<div class="col-xs-5 estat">
	      		<?php 
		      		if ($registre['estat'] != '') { ?>
		      		<a href="../expedients/registre.php?id=<?php echo $registre['id']; ?>" >
			      		<span class="label <?php echo $label_expedient[$registre['estat']]; ?>">Expedient <?php echo $estat_expedient[$registre['estat']]; ?></span></a>
		      		<?php } ?>
		      <a href="../sortides/informe.php?id=<?php echo $registre['id']; ?>" >	<button type="button" class="btn btn-default" aria-label="Left Align">
		  			informe
		  	    </button>	</a>
		      		
		      		
      		</div>
      		
      		


	      		<div class="col-xs-8">
		      	Assignat a <strong><?php echo $users[$registre['referent']-1]['name']; ?></strong> el <strong>
	      		<?php
		      			$date_mysql = DateTime::createFromFormat('Y-m-d H:i:s', $registre['date']);
		      			$date = $date_mysql->format('d-m-Y H:i:s'); 
		      		    echo ($date); ?></strong>
		      		    
	      		

      		</div>
      		
      			<div class="col-xs-8">
		      	Motius: <?php
	                        if ($registre['motius'] != '') {   
	                           $elements = unserialize($registre['motius']);
								foreach ($elements as $element) { ?>
								<span class="label label-default">
								<?php	echo utf8_encode($discriminacions[$element-1]['literal']);?></span>
								<?php }}
								
								 ?>
				
		      	<br />Bloc discriminació: <?php
	                        if ($registre['motius'] != '') {  
		                       $contador = array();  
	                           $elements = unserialize($registre['motius']);
								foreach ($elements as $element) {
									if(!in_array($blocs[$discriminacions[$element-1]['bloc'] - 1], $contador)) { 
							    array_push ($contador, $blocs[$discriminacions[$element-1]['bloc'] - 1]);
							    
								?>
								<span class="label label-default">
								<?php	echo utf8_encode($blocs[$discriminacions[$element-1]['bloc'] - 1]['literal']);?></span>
								<?php }}}
								
								 ?>
				
				<br />Drets vulnerats:  <?php
	                            if ($registre['drets'] != '') { 
	                            $elements = unserialize($registre['drets']);
								foreach ($elements as $element) { ?>
								<span class="label label-default">
								<?php	echo utf8_encode($drets[$element-1]['literal']);?></span>
								<?php }}
								
								 ?>
	      		

      		</div>
      		
      	 
      		</div>

      	
      	
      	
      	 <?php }} ?>