<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');
require_once('../inc/config.php');

$discriminacions_desplegable = select_sql('SELECT * FROM expedient_discriminacions ORDER BY bloc');
$blocs = select('expedient_discriminacions_blocs');
$drets_desplegable = select_sql('SELECT * FROM expedient_drets ORDER BY ordre ASC');

?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title><?php echo $title; ?></title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width">

        <link rel="stylesheet" href="../css/bootstrap.min.css">
        <link rel="stylesheet" href="../css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="../css/main.css">

           <style>
            body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
        </style>
    </head>
    <body>
    
   
    
    
    
    <?php include('../menu.php'); ?>
   

    <div class="container">
	  <?php include('../info.php'); ?>  
      
      <div class="row">
      <ol class="breadcrumb">
		  <li><a href="../index.php">Inici</a></li>
		  <li class="active"><a href="index.php">Expedients</a></li>
	  </ol>
      </div>
<div class="row">
 <div class="col-sm-6 col-md-offset-6">
		  
 </div>
</div>    
     <div class="row cercador">
    	<form role="form">
		
		  <div class="form-group col-sm-4">
                            <label for="drets">Drets vulnerats</label> <select class="form-control" class="form-control" id="drets" name="drets[]">
                        <?php foreach ($drets_desplegable as $element) { ?>
                                <option value="<?php echo $element['id']; ?>" <?php 
	                                if($registre['motius'] != '') {  
	                                if (in_array($element['id'], unserialize($registre['drets']) )) {echo "selected";}} ?>>
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
         
         <div class="form-group col-sm-4">
                            <label for="motius">Blocs</label> <select class="form-control"  id="blocs" name="motius[]">
                        <?php foreach ($blocs as $element) { ?>
                                <option value="<?php echo $element['id']; ?>" 
                                <?php
	                               if($registre['motius'] != '') {  
	                                if (in_array($element['id'], unserialize($registre['motius']) )) 
	                                {echo "selected";}} ?>>
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>   
           
           <div class="form-group col-sm-4">
                            <label for="motius">Motius de discriminació </label> <select class="form-control"  id="motius" name="motius[]">
                        <?php foreach ($discriminacions_desplegable as $element) { ?>
                                <option value="<?php echo $element['id']; ?>" 
                                <?php
	                               if($registre['motius'] != '') {  
	                                if (in_array($element['id'], unserialize($registre['motius']) )) 
	                                {echo "selected";}} ?>>
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>             
          
				<div class="col-sm-12">
		  <a href="add_soci.php"><button type="button" class="btn btn-default" style="float:right;"><span class="glyphicon glyphicon-plus-sign"></span> Afegir contacte</button></a>
		  </div> 
		</form>
      </div> 
	  <div class="row bar">
	 
	  </div>
	  <div class="row contenidor_items">
	
	  </div>
      <hr>

    
    </div> <!-- /container -->        
    	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')</script>

        <script src="../js/vendor/bootstrap.min.js"></script>
        <script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        
        <link rel="stylesheet" type="text/css" href="../js/vendor/jqplot/jquery.jqplot.min.css">
        <script src="../js/vendor/jqplot/jquery.jqplot.min.js"></script>
        <script src="../js/vendor/jqplot/plugins/jqplot.barRenderer.min.js"></script>
		<script src="../js/vendor/jqplot/plugins/jqplot.categoryAxisRenderer.min.js"></script>
		<script src="../js/vendor/jqplot/plugins/jqplot.pointLabels.min.js"></script>
        <script src="../js/main.js"></script>
        <script>
       			$( "#expedients" ).addClass( "active" );
       	</script>

	      <script>
	        $(".contenidor_items" ).html('');
			$.get( "get_registres.php", function( data ) {$( ".contenidor_items" ).html( data );});
			//$(".bar" ).html('');
			//$.get( "get_bar.php", function( data ) {$( ".bar" ).html( data );});
		  </script>
		  
		  <script>
			$( "#drets" ).change(function() {
			 $.get( "get_registres.php?d="+$( "#drets" ).val(), function( data ) {
				 
				 $( ".contenidor_items" ).html( data );});
			});	  

			$( "#motius" ).change(function() {
		
			 $.get( "get_registres.php?m="+$( "#motius" ).val(), function( data ) {
			
				 $( ".contenidor_items" ).html( data );});
			});	  
		  </script>
       
   
    </body>
</html>
