<?php

function select($table) 
	{
	require('connect.php');
	$sql = "SELECT * FROM ".$table;
	$q = $db->query($sql);
	if (DB::iserror($q)) { echo $sql; die($q->getMessage(  ));}
	
	while ($row = $q->fetchRow(DB_FETCHMODE_ASSOC)){
		$resultat[] = $row;
	}
	return $resultat;
	}

function select_sql($sql) 
	{
	require('connect.php');
	$q = $db->query($sql);
	if (DB::iserror($q)) { echo $sql; die($q->getMessage(  ));}
	
	while ($row = $q->fetchRow(DB_FETCHMODE_ASSOC)){
		$resultat[] = $row;
	}
	return $resultat;
	} 

function insert_form($taula) {
		global $formulari;
		global $camps;

		$i=0;
		$j=0;
		require('connect.php');
		$sql ="INSERT INTO ".$taula."(";
		foreach ($camps as $camp) {
			$i+=1;
			if (is_numeric($camp[0])) {
				$j+=1;
				$sql .=$camp[2].", ";}
				
		}
		$sql = substr_replace($sql ,"",-2);
		$sql .= ") VALUES (";
		for ($i = 1; $i < $j; $i++) {$sql .= "?, ";}
		$sql .="?)";
		//echo $sql;
		
		$sth = $db->prepare($sql);
		$data = array();
		foreach ($camps as $camp) 
			{
			if (is_numeric($camp[0])) {
			$data[]=$formulari[$camp[2]];}}
		//print_r($data);
		$res =& $db->execute($sth, $data);
		
						
		//echo $res;
		}

	    function map_utf8_encode( $str ) {
			if (is_string($str)) {
		    return utf8_encode($str);}
			else {return $str;}
		}
		
		function map_utf8_decode( $str ) {
			if (is_string($str)) {
		    return utf8_decode($str);}
			else {return $str;}
		}
		
		function map_addslashes( $str ) {
			if (is_string($str)) {
		    return addslashes($str);}
			else {return $str;}
		}

function edit_form($taula) {
		global $formulari;
		global $camps;
		global $id_registre;
		
		$i=0;
		$j=0;
		require('connect.php');
		$sql ="UPDATE ".$taula." SET ";
		foreach ($camps as $camp) {
			$i+=1;
			if (is_numeric($camp[0])) {
				$j+=1;
				$sql .=$camp[2]."= ?, ";}
				
		}
		$sql = substr_replace($sql ,"",-2);
		$sql .= " WHERE id =".$id_registre;
		
		//echo $sql;
		
		$sth = $db->prepare($sql);
		$data = array();
		foreach ($camps as $camp) 
			{
			if (is_numeric($camp[0])) {
			$data[]=$formulari[$camp[2]];}}
		//print_r($data);
		$res =& $db->execute($sth, $data);
		
						
		//echo $res;
		}

function validEmail($email)
{
   $isValid = true;
   $atIndex = strrpos($email, "@");
   if (is_bool($atIndex) && !$atIndex)
   {
      $isValid = false;
   }
   else
   {
      $domain = substr($email, $atIndex+1);
      $local = substr($email, 0, $atIndex);
      $localLen = strlen($local);
      $domainLen = strlen($domain);
      if ($localLen < 1 || $localLen > 64)
      {
         // local part length exceeded
         $isValid = false;
      }
      else if ($domainLen < 1 || $domainLen > 255)
      {
         // domain part length exceeded
         $isValid = false;
      }
      else if ($local[0] == '.' || $local[$localLen-1] == '.')
      {
         // local part starts or ends with '.'
         $isValid = false;
      }
      else if (preg_match('/\\.\\./', $local))
      {
         // local part has two consecutive dots
         $isValid = false;
      }
      else if (!preg_match('/^[A-Za-z0-9\\-\\.]+$/', $domain))
      {
         // character not valid in domain part
         $isValid = false;
      }
      else if (preg_match('/\\.\\./', $domain))
      {
         // domain part has two consecutive dots
         $isValid = false;
      }
      else if
(!preg_match('/^(\\\\.|[A-Za-z0-9!#%&`_=\\/$\'*+?^{}|~.-])+$/',
                 str_replace("\\\\","",$local)))
      {
         // character not valid in local part unless 
         // local part is quoted
         if (!preg_match('/^"(\\\\"|[^"])+"$/',
             str_replace("\\\\","",$local)))
         {
            $isValid = false;
         }
      }
      if ($isValid && !(checkdnsrr($domain,"MX") || 
 checkdnsrr($domain,"A")))
      {
         // domain not found in DNS
         $isValid = false;
      }
   }
   return $isValid;
}

function valida_nif_cif_nie($cif) {
//Returns: 1 = NIF ok, 2 = CIF ok, 3 = NIE ok, -1 = NIF bad, -2 = CIF bad, -3 = NIE bad, 0 = ??? bad
         $cif = strtoupper($cif);
         for ($i = 0; $i < 9; $i ++)
         {
                  $num[$i] = substr($cif, $i, 1);
         }
//si no tiene un formato valido devuelve error
         if (!preg_match('/((^[A-Z]{1}[0-9]{7}[A-Z0-9]{1}$|^[T]{1}[A-Z0-9]{8}$)|^[0-9]{8}[A-Z]{1}$)/', $cif))
         {
                  return false;
         }
//comprobacion de NIFs estandar
         if (preg_match('/(^[0-9]{8}[A-Z]{1}$)/', $cif))
         {
                  if ($num[8] == substr('TRWAGMYFPDXBNJZSQVHLCKE', substr($cif, 0, 8) % 23, 1))
                  {
                           return true;
                  }
                  else
                  {
                           return -false;
                  }
         }
//algoritmo para comprobacion de codigos tipo CIF
         $suma = $num[2] + $num[4] + $num[6];
         for ($i = 1; $i < 8; $i += 2)
         {
                  $suma += substr((2 * $num[$i]),0,1) + substr((2 * $num[$i]), 1, 1);
         }
         $n = 10 - substr($suma, strlen($suma) - 1, 1);
//comprobacion de NIFs especiales (se calculan como CIFs o como NIFs)
         if (preg_match('/^[KLM]{1}/', $cif))
         {
                  if ($num[8] == chr(64 + $n) || $num[8] == substr('TRWAGMYFPDXBNJZSQVHLCKE', substr($cif, 1, 8) % 23, 1))
                  {
                           return true;
                  }
                  else
                  {
                           return -false;
                  }
         }
//comprobacion de CIFs
         if (preg_match('/^[ABCDEFGHJNPQRSUVW]{1}/', $cif))
         {
                  if ($num[8] == chr(64 + $n) || $num[8] == substr($n, strlen($n) - 1, 1))
                  {
                           return true;
                  }
                  else
                  {
                           return false;
                  }
         }
//comprobacion de NIEs
         if (preg_match('/^[XYZ]{1}/', $cif))
         {
                  if ($num[8] == substr('TRWAGMYFPDXBNJZSQVHLCKE', substr(str_replace(array('X','Y','Z'), array('0','1','2'), $cif), 0, 8) % 23, 1))
                  {
                           return true;
                  }
                  else
                  {
                           return false;
                  }
         }
//si todavia no se ha verificado devuelve error
         return false;
}



?>