<?php
require_once('inc/connect.php');
require_once('inc/util.php');
require_once('inc/config.php');

?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title><?php echo $title; ?></title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width">

        <link rel="stylesheet" href="css/bootstrap.min.css">
        <link rel="stylesheet" href="css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="css/main.css">

           <style>
            body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
        </style>
    </head>
    <body>
    <?php include('menu.php'); ?>

   

    <div class="container">
      <?php include('info.php'); ?>  
	  

 
	<div class="row">
		<div class="col-xs-10">
			Persones i col·lectius diferents que demanen informació a l'Oficina sobre temes relacionats amb els drets al llarg del període considerat
		</div>
		<div class="col-xs-2">
			-
		</div>
	</div>
	<hr />
	<div class="row">
		<div class="col-xs-10">
			Casos que afecten persones diferents ateses a l'Oficina per temes de discriminació i/o vulneració de drets durant el període considerat
		</div>
		<div class="col-xs-2">
			-
		</div>
	</div>
	
	<hr />
	<div class="row">
		<div class="col-xs-10">
			Casos que afecten a col·lectius diferents atesos a l'Oficina per temes de discriminació i/o vulneració de drets durant el període considerat
		</div>
		<div class="col-xs-2">
			-
		</div>
	</div>
	
	<hr />
	<div class="row">
		<div class="col-xs-10">
			Actuacions efectuades per l'Oficina per resoldre i mediar en situacions de vulneració de drets i discriminacions en el periode considerat
		</div>
		<div class="col-xs-2">
			-
		</div>
	</div>
	
	<hr />
	<div class="row">
		<div class="col-xs-10">
			Casos d'atencio, assistència i assessorament en temes de vulneració de drets resolts fins a la data
		</div>
		<div class="col-xs-2">
			-
		</div>
	</div>
	
		<hr />
	<div class="row">
		<div class="col-xs-10">
			Temps mitjà (en mesos) de resolució d'expedients de l'Oficina d'Atenció
		</div>
		<div class="col-xs-2">
			-
		</div>
	</div>
	
	
			<hr />
	<div class="row">
		<div class="col-xs-10">
			Participants (escoles i altres col·lectius externs) en sessions de formació i tallers sobre drets i canvis d'actituds organitzades per l'Oficina
		</div>
		<div class="col-xs-2">
			-
		</div>
	</div>
	
	
		
			<hr />
	<div class="row">
		<div class="col-xs-10">
			Participants (funcionaris municipals i d'altres administracions) en sessions de formació i tallers sobre drets i canvis d'actituds organitzades per l'Oficina
		</div>
		<div class="col-xs-2">
			-
		</div>
	</div>
	
				<hr />
	<div class="row">
		<div class="col-xs-10">
			Sessions de formació i tallers sobre drets i canvis d'actituds organitzades per l'Oficina en el periode considerat per a escoles i altres col·lectius externs
		</div>
		<div class="col-xs-2">
			-
		</div>
	</div>
	
					<hr />
	<div class="row">
		<div class="col-xs-10">
			Sessions de formació i tallers sobre drets i canvis d'actituds organitzades per l'Oficina en el periode considerat per a funcionaris municipals i d'altres administracions
		</div>
		<div class="col-xs-2">
			-
		</div>
	</div>
		
							<hr />
	<div class="row">
		<div class="col-xs-10">
			Actuacions transversals realitzades per l'oficina en temes de drets
		</div>
		<div class="col-xs-2">
			-
		</div>
	</div>
		
	</div>
	</div></div></div></div> <!-- /container -->        
    	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="js/vendor/jquery-1.10.1.min.js"><\/script>')</script>

        <script src="js/vendor/bootstrap.min.js"></script>
        <script src="js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        <script src="js/main.js"></script>
        <script>
       			$( "#index" ).addClass( "active" );
       	</script>

    </body>
</html>
