<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');

if (isset($_GET['id'])) {
    $sql = "SELECT * FROM socis
                WHERE socis.id = ".$_GET['id'];
    $noticies = select_sql($sql);

    $noticia = ($noticies[0]);
    $noticia = array_map("stripslashes", $noticia);
    $noticia = array_map("utf8_encode", $noticia);
    

$sql = "SELECT socis_contactes.* FROM socis_contactes WHERE socis_contactes.idAcellec = ".$noticia['idacellec'];
$contacts = select_sql($sql);

$tipologies = select('socis_contactes_tipologia');
 
}
?>
<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->

<html class="no-js">
<!--<![endif]-->

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <title>acellec.cat - Panell de control - Inici</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" href="../css/bootstrap.min.css" type="text/css">
    <link rel="stylesheet" href="../css/bootstrap-theme.min.css" type="text/css">
    <link rel="stylesheet" href="../css/main.css" type="text/css">
    <style type="text/css">
        body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
    </style>
</head>

<body>
    <div class="modal fade" id="esborra">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Esborrar contacte</h4>
	      </div>
	      <div class="modal-body">
	        <p>Confirmes que vols esborrar el contacte?</p>
	        <form id="form_delete_contacte">
	        <input type="hidden" name="noticiaId" id="noticiaId" value=""/>
	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary esborraContacteSoci">Esborra</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
	
	<div class="modal fade" id="afegeix_contacte">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Afegeix contacte</h4>
	      </div>
	      <div class="modal-body">
	        
	        <form id="form_add_contact">
	        	<input type="hidden" name="idacellec" id="idacellec" value=""/>
	        	<div class="row">
		        	<div class="form-group col-sm-2">
	        			<label for="tractament" class="control-label">Tractament</label>
						<input type="text" id="tractament" name="tractament" class="form-control" />
	        		</div>
		        	
					<div class="form-group col-sm-5">
	        			<label for="nom" class="control-label">Nom</label>
						<input type="text" id="nom" name="nom" class="form-control" />
	        		</div>
	        		<div class="form-group col-sm-5">
	        			<label for="cognoms" class="control-label">Cognoms</label>
						<input type="text" id="cognoms" name="cognoms" class="form-control" />
	        		</div>
	        	</div>
	        	<div class="row">
					<div class="form-group col-sm-12">
	        			<label for="carrec" class="control-label">Carrec</label>
						<input type="text" id="carrec" name="carrec" class="form-control" />
	        		</div>
	        	</div>
	        	<div class="row">
					<div class="form-group col-sm-6">
	        			<label for="email" class="control-label">Email</label>
						<input type="text" id="email" name="email" class="form-control" />
	        		</div>
	        		<div class="form-group col-sm-6">
	        			<label for="phone" class="control-label">Telèfon</label>
						<input type="text" id="phone" name="phone" class="form-control" />
	        		</div>
	        	</div>
	        	<div class="row">
		        	<div class="form-group col-sm-12">
			        	<?php foreach ($tipologies as $tipology) { ?>
			        	<label class="checkbox-inline">
							<input type="checkbox" name="tipo[<?php echo utf8_encode($tipology['id']); ?>]" value="1">
							<?php echo utf8_encode($tipology['tipologia']); ?>
						</label>
			        	<?php } ?>
		        	</div>
	        	</div>
	        	<div class="row">
				<div class="form-group col-sm-12">
	        	<label for="observacions" class="control-label">Observacions</label>
	        	<textarea id="observacions" name="observacions" class="form-control" rows="3"></textarea>
	        	</div></div>
	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary addContact">Guarda</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
	
		<div class="modal fade" id="edita_contacte">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Edita contacte</h4>
	      </div>
	      <div class="modal-body">
	        
	        <form id="form_edita_contact">
	        	<input type="hidden" name="id" id="id" value=""/>
	        	<div class="row">
		        	<div class="form-group col-sm-2">
	        			<label for="tractament" class="control-label">Tractament</label>
						<input type="text" id="e_tractament" name="tractament" class="form-control" />
	        		</div>
		        	
					<div class="form-group col-sm-5">
	        			<label for="nom" class="control-label">Nom</label>
						<input type="text" id="e_nom" name="nom" class="form-control" />
	        		</div>
	        		<div class="form-group col-sm-5">
	        			<label for="cognoms" class="control-label">Cognoms</label>
						<input type="text" id="e_cognoms" name="cognoms" class="form-control" />
	        		</div>
	        	</div>
	        	<div class="row">
					<div class="form-group col-sm-12">
	        			<label for="carrec" class="control-label">Carrec</label>
						<input type="text" id="e_carrec" name="carrec" class="form-control" />
	        		</div>
	        	</div>
	        	<div class="row">
					<div class="form-group col-sm-6">
	        			<label for="email" class="control-label">Email</label>
						<input type="text" id="e_email" name="email" class="form-control" />
	        		</div>
	        		<div class="form-group col-sm-6">
	        			<label for="phone" class="control-label">Telèfon</label>
						<input type="text" id="e_phone" name="phone" class="form-control" />
	        		</div>
	        	</div>
	        	<div class="row">
		        	<div class="form-group col-sm-12">
			        	<?php foreach ($tipologies as $tipology) { ?>
			        	<label class="checkbox-inline">
							<input type="checkbox" id="e_tipo[<?php echo utf8_encode($tipology['id']); ?>]" name="tipo[<?php echo utf8_encode($tipology['id']); ?>]" value="1">
							<?php echo utf8_encode($tipology['tipologia']); ?>
						</label>
			        	<?php } ?>
		        	</div>
	        	</div>
	        	<div class="row">
				<div class="form-group col-sm-12">
	        	<label for="observacions" class="control-label">Observacions</label>
	        	<textarea id="e_observacions" name="observacions" class="form-control" rows="3"></textarea>
	        	</div></div>
	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary editContacte">Guarda</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
	
    <?php include('../menu.php'); ?>

    <div class="container">
        <?php include('../info.php'); ?>

        <div class="row">
            <ol class="breadcrumb">
                <li><a href="../index.php">Inici</a></li>

                <li><a href="index.php">Socis</a></li>

                <li class="active"><?php echo $noticia['oficial']; ?></li>
            </ol>
        </div>

        <h3><?php echo $noticia['oficial']; ?></h3>

        <div class="tab-content">
            <div class="panel panel-default active" id="fitxa">
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Fitxa</h3>
                </div>

                <div class="panel-body">
                    <div class="row">
                        <div class="col-xs-1">
                            <strong>Sector</strong>
                        </div>

                        <div class="col-xs-1">
                            <strong>Alta</strong>
                        </div>

                        <div class="col-xs-2">
                            <strong>NIF</strong>
                        </div>

                        <div class="col-xs-1">
                            <strong>CNAE</strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-1">
                            <?php echo $noticia['sector']; ?>
                        </div>

                        <div class="col-xs-1">
                            <?php echo $noticia['alta']; ?>
                        </div>

                        <div class="col-xs-2">
                            <?php echo $noticia['nif']; ?>
                        </div>

                        <div class="col-xs-1">
                            <?php echo $noticia['cnae']; ?>
                        </div>
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-xs-6">
                            <strong>Adreça</strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-6">
                            <?php echo $noticia['address']; ?>
                        </div>
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-xs-1">
                            <strong>CP</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Municipi</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Comarca</strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-1">
                            <?php echo $noticia['cp']; ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo $noticia['municipi']; ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo $noticia['comarca']; ?>
                        </div>
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-xs-1">
                            <strong>Fixe</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Mòbil</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Email</strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-1">
                            <?php echo $noticia['fixe']; ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo $noticia['mobil']; ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo $noticia['email']; ?>
                        </div>
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-xs-3">
                            <strong>Twitter</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Facebook</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Web</strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-3">
                            <?php echo $noticia['tw']; ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo $noticia['fb']; ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo $noticia['web']; ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
			 <div class="col-sm-6 col-md-offset-6" style="margin-bottom: 15px;">
					  <a data-id="<?php echo $noticia['idacellec']  ?>" title="afegeix_contacte" class="afegeix_contacte" href="#afegeix_contacte"><button type="button" class="btn btn-default" style="float:right;">
					  
						  <span class="glyphicon glyphicon-plus-sign"></span> 
						  Afegir contacte
					  </button></a>
			 </div>
			</div>
			<div class="contenidor_contactes"></div>
        </div>
    </div><!-- /container --><script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js" type="text/javascript">
</script><script type="text/javascript">
window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')
    </script><script src="../js/vendor/bootstrap.min.js" type="text/javascript">
</script><script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js" type="text/javascript">
</script><script src="../js/main.js" type="text/javascript">
</script>
		 <script>
	        $(".contenidor_contactes" ).html('');
			$.get( "get_contactes.php?idacellec="+ <?php echo $noticia['idacellec'];  ?>, function( data ) {$( ".contenidor_contactes" ).html( data );});
		  </script>
<script type="text/javascript">
            $( "#socis" ).addClass( "active" );
    </script>
</body>
</html>
