<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');

if (isset($_GET['id'])) {
	$sql = "SELECT * FROM noticies
				WHERE noticies.id = ".$_GET['id'];
	$noticies = select_sql($sql);
	
	$noticia = $noticies[0];
}
?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title>acellec.cat - Panell de control - Inici</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width">

        <link rel="stylesheet" href="../css/bootstrap.min.css">
        <link rel="stylesheet" href="../css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="../css/main.css">

           <style>
            body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
        </style>
    </head>
    <body>
    <div class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="http://www.acellec.cat" target="_blank">acellec.cat</a>
        </div>
        <div class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
            <li><a href="../index.php">Inici</a></li>
            <li class="active"><a href="index.php">Notícies</a></li>
            <li><a href="../news/index.php">Newsletter</a></li>
            <li><a href="../contactes/index.php">Contactes</a></li>
          </ul>
     </div><!--/.navbar-collapse -->
      </div>
    </div>

   

    <div class="container">
      <?php include('../info.php'); ?>  
	  <div class="row">
      <ol class="breadcrumb">
		  <li><a href="../index.php">Inici</a></li>
		  <li><a href="index.php">Notícies</a></li>
		  <li class="active"><?php echo $noticia['titol']; ?></li>
	  </ol>
      </div>
<h3><?php echo $noticia['titol']; ?> <a href="edit_noticia.php?id=<?php echo $noticia['id']; ?>"> <button type="button" class="btn btn-default"><span class="glyphicon glyphicon-pencil"></span></button></a></h3>
 
	<div class="row">
	<?php if ($noticia['img'] != '') { ?>
		<div class="col-sm-9">
    <?php } ?>
    <?php if ($noticia['img'] == '') { ?>
		<div class="col-sm-12">
    <?php } ?>
    		
			<p>	
				<?php if ($noticia['type'] == 1) { ?>
	      			<span class="label label-danger">Noticia</span>
	      		<?php } ?>
	      		<?php if ($noticia['type'] == 2) { ?>
	      			<span class="label label-success">Editorial</span>
	      		<?php } ?>
	      		<?php if ($noticia['type'] == 3) { ?>
	      			<span class="label label-warning">Flaixos</span>
	      		<?php } ?>
	      		<?php if ($noticia['type'] == 4) { ?>
	      			<span class="label label-primary">La Xarxa</span>
	      		<?php } ?>
			</p>
			<p><?php $date = new DateTime($noticia['data']);
		  		echo $date->format('d-m-Y'); ?></p>
			<p><?php echo $noticia['negreta']; ?></p>
			<p><?php echo $noticia['cos']; ?></p>
		</div>
		
		<?php if ($noticia['img'] != '') { ?>
		<div class="col-sm-3">
			<p><img src="../../img/noticies/<?php echo $noticia['img']; ?>" width="100%" /></p>
		</div>
		<?php } ?>
	</div>
    
    </div> <!-- /container -->        <script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')</script>

        <script src="../js/vendor/bootstrap.min.js"></script>
        <script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        <script src="../js/main.js"></script>


    </body>
</html>
