<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');
require_once('../inc/config.php');

$whos = select('informacio_who');
$document_types = select('informacio_document_type');
$channels = select('informacio_channel');
$provenances = select('informacio_provenance');
$users = select('users');
$organitzacions = select('informacio_org');
$temes = select('informacio_temes');
$knows = select('informacio_know');
$froms = select('informacio_derived_from');

$now = date('d-m-Y H:i:s');

$camps = array( 
                array(1, "", "idAcellec" ),
                array(1, "", "oficial" ),
                array(1, "", "comercial" ), 
                array(1, "", "sector" ), 
                array(1, "", "alta" ), 
                array(1, "", "address" ), 
                array(1, "", "cp" ), 
                array(1, "", "municipi" ), 
                array(1, "", "comarca" ), 
                array(1, "", "fixe" ),
                array(1, "", "mobil" ),
                array(1, "", "email" ),
                array(1, "", "tw" ),
                array(1, "", "fb" ),
                array(1, "", "web" ),
                array(1, "", "nif" ),
                array(1, "", "cnae" ),
                array(1, "", "observacions" )
 
);



    $formulari = $_POST;
    $formulari = array_map("utf8_decode", $formulari);

if (isset($formulari['oficial']) && $formulari['alta'] != '') {
    insert_form("socis");
    $id = mysql_insert_id();
    header("Location: ". "soci.php?id=".$id);
}

?>
<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->

<html class="no-js">
<!--<![endif]-->

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <title><?php echo $title; ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" href="../css/bootstrap.min.css" type="text/css">
    <link rel="stylesheet" href="../css/bootstrap-theme.min.css" type="text/css">
    <link rel="stylesheet" href="../css/main.css" type="text/css">
    <script src="../classes/ckeditor/ckeditor.js" type="text/javascript">
</script>
    <style type="text/css">
        body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
    </style>
</head>

<body>
    <?php include('../menu.php'); ?>

    <div class="container">
        <?php include('../info.php'); ?>

        <div class="row">
            <ol class="breadcrumb">
                <li><a href="../index.php">Inici</a></li>

                <li><a href="index.php">Fitxes d'informació</a></li>

                <li class="active">Nova fitxa</li>
            </ol>
        </div>

        <h3>Fitxa d'informació</h3>

        <div class="row">
            <div class="col-sm-10">
                <form role="form" action="add_registre.php" enctype="multipart/form-data" method="post">
                <div class="barra">
                    <div class="row">
	                    <div class="form-group col-sm-3">
                            <label for="date">Data i hora</label> <input type="datetime" class="form-control" id="date" name="date" placeholder="" value="<?php echo $now; ?>">
                        </div>
	                    
	                    <div class="form-group col-sm-2">
                            <label for="aida">Codi AIDA</label> <input type="text" class="form-control" id="aida" name="aida" placeholder="" value="">
                        </div>
	                    <div class="form-group col-sm-2">
                            <label for="attended_by">Atés per</label> <select class="form-control" id="attended_by" name="attended_by">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($users as $element) { ?>

                                <option value="<?php echo $element['id']; ?>">
                                    <?php echo $element['name']; ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        <div class="form-group col-sm-3">
                            <label for="channel">Canal</label> <select class="form-control" id="channel" name="channel">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($channels as $element) { ?>

                                <option value="<?php echo $element['id']; ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        <div class="form-group col-sm-2">
                            <label for="who">Qui demana</label> <select class="form-control" id="who" name="who">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($whos as $element) { ?>

                                <option value="<?php echo $element['id']; ?>">
                                    <?php echo $element['literal']; ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        

                    </div>
                </div>	
					<hr />
				<div class="barra">
					<div class="row">
						<div class="form-group col-sm-4 known">
                            <label for="know">Coneixement de l'OND</label> <select class="form-control" id="know" name="know">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($knows as $element) { ?>

                                <option value="<?php echo $element['id']; ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        
                        <div class="form-group col-sm-4 derived_from">
                            <label for="from">Derivat des de</label> <select class="form-control" id="from" name="from">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($froms as $element) { ?>

                                <option value="<?php echo $element['id']; ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        <div class="form-group col-sm-4 detall">
                            <label for="detall">Detall</label> <input type="text" class="form-control" id="detall" name="detall" placeholder="Detall" value="">
                        </div>
					</div>
				</div>
					<hr />
				
				<div class="barra entitat">	
                    <div class="row ">
                        <div class="form-group col-sm-9">
	                        <label for="name">Nom de l'entitat</label> <input type="text" class="form-control" id="name" name="name" placeholder="Nom" value="">
                        </div>

                        <div class="form-group col-sm-3">
	                        <label for="name">NIF de l'entitat</label> <input type="text" class="form-control" id="name" name="name" placeholder="Nom" value="">
                        </div>
                    </div>
                </div>
				
				<hr class="entitat" />
				
				<div class="barra">	
                    <div class="row">
                        <div class="form-group col-sm-3">
                            <label for="name">Nom</label> <input type="text" class="form-control" id="name" name="name" placeholder="Nom" value="">
                        </div>

                        <div class="form-group col-sm-3">
                            <label for="surname_1">Cognom 1</label> <input type="text" class="form-control" id="surname_1" name="surname_1" placeholder="Cognom 1" value="">
                        </div>

                        <div class="form-group col-sm-3">
                            <label for="surname_2">Cognom 2</label> <input type="text" class="form-control" id="surname_2" name="surname_2" placeholder="Cognom 2" value="">
                        </div>
                        
                        <div class="form-group col-sm-3">
                            <label for="alias">Persona coneguda com</label> <input type="text" class="form-control" id="alias" name="alias" placeholder="Persona coneguda com" value="">
                        </div>
                    </div>
					
					<div class="row">
                        <div class="form-group col-sm-3">
                            <label for="document_type">Tipus de document</label> <select class="form-control" id="document_type" name="document_type">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($document_types as $element) { ?>

                                <option value="<?php echo $element['id']; ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        
                        <div class="form-group col-sm-3">
                            <label for="document_number">Número del document</label> <input type="text" class="form-control" id="document_number" name="document_number" placeholder="número del document" value="">
                        </div>
                        
                        <div class="form-group col-sm-3">
                            <label for="gender">Gènere</label> <input type="text" class="form-control" id="gender" name="gender" placeholder="Gènere" value="">
                        </div>

                        
                    </div>
					
					<div class="row">
					<div class="form-group col-sm-3">
                            <label for="provenance">Prové de </label> <select class="form-control" id="provenance" name="provenance">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($provenances as $element) { ?>

                                <option value="<?php echo $element['id']; ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>

                        <div class="form-group col-sm-4">
                            <label for="place">Lloc d'origen</label> <input type="email" class="form-control" id="place" name="place" placeholder="Lloc d'origen" value="">
                        </div>
                    </div>
                </div>	
					<hr />
				<div class="barra">	
                    <div class="row">
                        <div class="form-group col-sm-12">
                            <label for="address">Adreça</label> <input type="text" class="form-control" id="address" name="address" placeholder="Adreça" value="">
                        </div>
                    </div>

                    <div class="row">
                        <div class="form-group col-sm-2">
                            <label for="cp">Codi Postal</label> <input type="text" class="form-control" id="cp" name="cp" placeholder="Codi Postal" value="">
                        </div>

                        <div class="form-group col-sm-3">
                            <label for="district">Districte</label> <input type="text" class="form-control" id="district" name="district" placeholder="Districte" value="">
                        </div>

                        <div class="form-group col-sm-4">
                            <label for="barri">Barri</label> <input type="text" class="form-control" id="barri" name="barri" placeholder="Barri" value="">
                        </div>
                        
                        <div class="form-group col-sm-3">
                            <label for="city">Població</label> <input type="text" class="form-control" id="city" name="city" placeholder="Població" value="">
                        </div>
                    </div>

                    

                    <div class="row">
                        <div class="form-group col-sm-4">
                            <label for="phone1">Telèfon 1</label> <input type="text" class="form-control" id="phone1" name="phone1" placeholder="Telèfon 1" value="">
                        </div>

                        <div class="form-group col-sm-4">
                            <label for="phone2">Telèfon 2</label> <input type="text" class="form-control" id="phone2" name="phone2" placeholder="Telèfon 2" value="">
                        </div>

                        <div class="form-group col-sm-4">
                            <label for="email">Email</label> <input type="text" class="form-control" id="email" name="email" placeholder="Email" value="">
                        </div>
                    </div>
                </div>    
					<hr />
                
                <div class="barra">	 
                    
                    <div class="row">
                        <div class="form-group col-sm-12">
                            <label for="demand">Sol.licita</label>
                            <textarea  class="form-control" id="demand" name="demand"></textarea>
                        </div>

                        
                    </div>
                    <div class="row">
	                    <div class="form-group col-sm-3">
                            <label for="info">Informat de</label> <select multiple class="form-control" id="info" name="info">
                                <?php
                                                    foreach ($organitzacions as $element) { ?>

                                <option value="<?php echo $element['id']; ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        
                        <div class="form-group col-sm-3">
                            <label for="info">Temes informats</label> <select multiple class="form-control" id="info" name="info">
                                <?php
                                                    foreach ($temes as $element) { ?>

                                <option value="<?php echo $element['id']; ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
                        
                        <div class="form-group col-sm-6">
                            <label for="demand">Detall de la informació</label>
                            <textarea  class="form-control" id="demand" name="demand"></textarea>
                        </div>
                    </div>
                </div> 
                <div class="row"> 
	                <div class="form-group col-sm-6 centered"> 
                    	<button type="submit" class="btn btn-success">Guarda i tanca la fitxa</button>
	                </div>
                    <div class="form-group col-sm-6 centered"> 
						<button type="submit" class="btn btn-info">Guarda i obre expedient</button>
	                </div>
                </div>
                </form>
            </div>
        </div>
    </div><!-- /container --><script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js" type="text/javascript">
</script><script type="text/javascript">
window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')
    </script><script src="../js/vendor/bootstrap-maxlength.min.js" type="text/javascript">
</script><script src="../js/vendor/bootstrap.min.js" type="text/javascript">
</script><script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js" type="text/javascript">
</script><script src="../js/main.js" type="text/javascript">
</script><script type="text/javascript">
            $( "#info" ).addClass( "active" );
            $( ".derived_from" ).hide();
            $( ".detall" ).hide();
            $( ".entitat" ).hide();
            
            $( "#know" ).change(function() {
			  if ($( "#know" ).val() == 5) {
				  $( ".derived_from" ).show();
			  }
			  if ($( "#know" ).val() != 5) {
				  $( ".derived_from" ).hide();
			  }
			  
			  if ($( "#know" ).val() == 7 || $( "#know" ).val() == 10 ) {
				  $( ".detall" ).show();
			  }
			  
			  if ($( "#know" ).val() != 7 && $( "#know" ).val() != 10 ) {
				  $( ".detall" ).hide();
			  }
			  
			});
			
			$( "#from" ).change(function() {
			  
			  if ($( "#from" ).val() == 3 || $( "#from" ).val() == 4 || $( "#from" ).val() == 5 || $( "#from" ).val() == 6 ) {
				  $( ".detall" ).show();
			  }
			  
			  if ($( "#from" ).val() != 3 && $( "#from" ).val() != 4 && $( "#from" ).val() != 5 && $( "#from" ).val() != 6 ) {
				  $( ".detall" ).hide();
			  }
			  
			});
			
			$( "#who" ).change(function() {
			  
			  if ($( "#who" ).val() == 1) {
				  $( ".entitat" ).show();
			  }
			  
			  if ($( "#who" ).val() != 1) {
				  $( ".entitat" ).hide();
			  }
			  
			});
			
			
    </script>
</body>
</html>
