<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');
require_once('../inc/config.php');

$colectius = select_sql('SELECT * FROM tallers_qui');


?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title><?php echo $title; ?></title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width">

        <link rel="stylesheet" href="../css/bootstrap.min.css">
        <link rel="stylesheet" href="../css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="../css/main.css">

           <style>
            body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
        </style>
    </head>
    <body>
<div class="modal fade" id="afegeix_taller">
	  <div class="modal-dialog modal_wide">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Afegir taller</h4>
	      </div>
	      <div class="modal-body">
	        
	        <form id="form_nou_taller">
	        	
	        	<div class="row">
		        	<div class="form-group col-sm-6">
                            <label for="data">Data</label> <input type="date" class="form-control" id="data" name="data" placeholder="" value="">
                        </div>
		        	<div class="form-group col-sm-6">
                            <label for="colectiu">Tipus de col·lectiu</label> <select class="form-control" id="colectiu" name="colectiu">
                                <option value="0">
                                    ------
                                </option><?php
                                                    foreach ($colectius as $element) { ?>

                                <option value="<?php echo ($element['id']); ?>">
                                    <?php echo utf8_encode($element['literal']); ?>
                                </option><?php } ?>
                            </select>
                        </div>
		        	
					
	        	</div>
	        	<div class="row add_tercera">
		        	<div class="form-group col-sm-12">
                            <label for="nom">Nom del col·lectiu</label> 
                            <input type="text" class="form-control" id="nom" name="nom" placeholder="" value="<?php echo $registre['nom']; ?>">
                    </div>
                     <div class="form-group col-sm-12">
                            <label for="lloc">Lloc de realització</label> 
                            <input type="text" class="form-control" id="lloc" name="lloc" placeholder="" value="<?php echo $registre['lloc']; ?>">
                    </div>
                    <div class="form-group col-sm-4">
                            <label for="numero">Número d'assistents</label> 
                            <input type="text" class="form-control" id="numero" name="numero" placeholder="" value="<?php echo $registre['numero']; ?>">
                    </div>
                    <div class="form-group col-sm-4">
                            <label for="durada">Durada del taller</label> 
                            <input type="text" class="form-control" id="durada" name="durada" placeholder="" value="<?php echo $registre['durada']; ?>">
                    </div>
                    <div class="form-group col-sm-4">
                            <label for="edats">Edats</label> 
                            <input type="text" class="form-control" id="edats" name="edats" placeholder="" value="<?php echo $registre['edats']; ?>">
                    </div>
	        	</div>

	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary guarda_nou_taller">Guarda</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    <?php include('../menu.php'); ?>
   
<div class="container">
	  <?php include('../info.php'); ?>  
      
      <div class="row">
      <ol class="breadcrumb">
		  <li><a href="../index.php">Inici</a></li>
		  <li class="active"><a href="index.php">Tallers</a></li>
	  </ol>
      </div>
      <div class="row">
 <div class="col-sm-6 col-md-offset-6">
		  <a href="#afegeix_taller" class="afegeix_taller"><button type="button" class="btn btn-default" style="float:right;"><span class="glyphicon glyphicon-plus-sign"></span> Nou taller</button></a>
 </div>
</div>  
<div class="row">
 <div class="col-sm-6 col-md-offset-6">
		  
 </div>
</div>    
     <div class="row cercador">
    	
      </div> 
	  <div class="row bar">
	 
	  </div>
	  <div class="row contenidor_items">
	
	  </div>
      <hr>

    
    </div> <!-- /container -->        
    	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')</script>

        <script src="../js/vendor/bootstrap.min.js"></script>
        <script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        
        <link rel="stylesheet" type="text/css" href="../js/vendor/jqplot/jquery.jqplot.min.css">
        <script src="../js/vendor/jqplot/jquery.jqplot.min.js"></script>
        <script src="../js/vendor/jqplot/plugins/jqplot.barRenderer.min.js"></script>
		<script src="../js/vendor/jqplot/plugins/jqplot.categoryAxisRenderer.min.js"></script>
		<script src="../js/vendor/jqplot/plugins/jqplot.pointLabels.min.js"></script>
        <script src="../js/main.js"></script>
        <script>
       			$( "#tallers" ).addClass( "active" );
       	</script>

	      <script>
	        $(".contenidor_items" ).html('');
			$.get( "get_registres.php", function( data ) {$( ".contenidor_items" ).html( data );});
		  </script>   
    </body>
</html>
