<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');


if (isset($_POST) && $_POST['nom']!='' && $_POST['organitzacio']!='' && $_POST['email']!='' && $_POST['grup']!=''){      
		
		if (!isset($formulari['privat'])) {$formulari['privat'] = 0;}
		
		
		
		$sth = $db->prepare('UPDATE contactes SET 
									nom = ?,
									organitzacio = ?,
									email = ?,
									grup = ?,
									privat = ?
									WHERE
									id = ?');
							
		foreach ($_POST as $key =>$value)
				{
					if (is_string($value)) {$formulari[$key] = stripslashes($value);}
					else {$formulari[$key] = $value;}
				}
		$formulari = array_map(utf8_decode, $formulari);
			
		$data = array($formulari['nom'],
					  $formulari['organitzacio'],
					  $formulari['email'],
					  $formulari['grup'],
					  $formulari['privat'],
					  $formulari['id']
					 );

		$a = $db->execute($sth, $data);


			//print_r($a);
			
			header('Location: index.php');

}

if (isset($_GET['id'])) {
	$sql = "SELECT * FROM contactes
				WHERE contactes.id = ".$_GET['id'];
	$registres = select_sql($sql);
	
	$registre = $registres[0];
	$registre = array_map(utf8_encode, $registre);
	}
?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title>acellec.cat - Panell de control - Inici</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width">

        <link rel="stylesheet" href="../css/bootstrap.min.css">
        <link rel="stylesheet" href="../css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="../css/main.css">
        
        <script src="../classes/ckeditor/ckeditor.js"></script>

           <style>
            body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
        </style>
    </head>
    <body>
<?php include('../menu.php'); ?> 

   

    <div class="container">
      <?php include('../info.php'); ?>  
	  <div class="row">
      <ol class="breadcrumb">
		  <li><a href="../index.php">Inici</a></li>
		  <li><a href="index.php">Contactes</a></li>
		  <li class="active">Editar contacte > <?php echo $registre['nom']; ?></li>
	  </ol>
      </div>
<h3>Editar contacte</h3>
 
	<div class="row">
		<div class="col-sm-10">
			<form role="form" action="edit_contact.php" enctype="multipart/form-data" method="post">
			
			  <input type="hidden" id="id" name="id" value="<?php echo $registre['id']; ?>">
			  
			  <div>
				  <div class="checkbox form-control" style="border:none;">
			    <label>
			      <input type="checkbox" name="privat" id="privat" value="1" <?php if ((isset($_POST) && $_POST['privat'] === 1) || $registre['privat'] ==1)  {echo "checked";} ?>> Privat
			    </label>
				</div>
			  </div>
			  
			  <div class="form-group <?php if (isset($_POST) && $_POST['grup'] === '') {echo "has-error";} ?>">
			     <label for="titol" <?php if (isset($_POST) && $_POST['grup'] === '') {echo "style=\"color:red\"";} ?>>
			    	<span class="glyphicon glyphicon-asterisk"></span> Grup</label>
			    	<input type="text" class="form-control" id="grup" name="grup" placeholder="Grup" value="<?php echo $registre['grup']; ?>">
			  </div>
			  
			  
			  
			  <div class="form-group <?php if (isset($_POST) && $_POST['nom'] === '') {echo "has-error";} ?>">
			     <label for="titol" <?php if (isset($_POST) && $_POST['nom'] === '') {echo "style=\"color:red\"";} ?>>
			    	<span class="glyphicon glyphicon-asterisk"></span>Nom</label>
			    	<input type="text" class="form-control" id="nom" name="nom" placeholder="Cognoms, Nom" value="<?php echo $registre['nom']; ?>">
			  </div>
			  
			  <div class="form-group <?php if (isset($_POST) && $_POST['organitzacio'] === '') {echo "has-error";} ?>">
			     <label for="titol" <?php if (isset($_POST) && $_POST['organitzacio'] === '') {echo "style=\"color:red\"";} ?>>
			    	<span class="glyphicon glyphicon-asterisk"></span> Organització</label>
			    	<input type="text" class="form-control" id="organitzacio" name="organitzacio" placeholder="Organització" value="<?php echo $registre['organitzacio']; ?>">
			  </div>
			  
			  	<div class="form-group <?php if (isset($_POST) && $_POST['grup'] === '') {echo "has-error";} ?>">
			     <label for="titol" <?php if (isset($_POST) && $_POST['grup'] === '') {echo "style=\"color:red\"";} ?>>
			    	<span class="glyphicon glyphicon-asterisk"></span> Grup</label>
			    	<input type="text" class="form-control" id="grup" name="grup" placeholder="Grup" value="<?php echo $registre['grup']; ?>">
			  </div>
			  
			  <div class="form-group <?php if (isset($_POST) && $_POST['email'] === '') {echo "has-error";} ?>">
			     <label for="titol" <?php if (isset($_POST) && $_POST['email'] === '') {echo "style=\"color:red\"";} ?>>
			    	<span class="glyphicon glyphicon-asterisk"></span> Email</label>
			    	<input type="text" class="form-control" id="email" name="email" placeholder="Email" value="<?php echo $registre['email']; ?>">
			  </div>
			  
			  			  
			  <button type="submit" class="btn btn-default">Guarda</button>
			</form>
		</div>
	</div>
    
    </div> <!-- /container -->        
    	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')</script>
		<script src="../js/vendor/bootstrap-maxlength.min.js"><\/script>
        <script src="../js/vendor/bootstrap.min.js"></script>
        <script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        <script src="../js/main.js"></script>
        <script>
       			$( "#contactes" ).addClass( "active" );
       		</script>
        <script>
           CKEDITOR.replace( 'cos' );
        
           $(document).ready(function(){
			    $('#negreta').maxlength({
			      alwaysShow: true,
			      warningClass: "label label-success",
			      limitReachedClass: "label label-important"
			    });
		    });
		 </script>

    </body>
</html>
