<?php 

require_once('../inc/connect.php');
require_once('../inc/util.php');

$estat_expedient = array(0 => 'per assignar', 1 => 'obert', 2 => 'tancat');
$label_expedient = array(0 => 'label-danger', 1 => 'label-info', 2 => 'label-success');

$users = select('app_users');

if (count($_GET) == 0) {
		$sql = "SELECT informacio.*, expedients.estat, informacio_who.literal
				FROM informacio 
				LEFT JOIN expedients ON informacio.id = expedients.idi
				LEFT JOIN informacio_who ON informacio.who = informacio_who.id
				ORDER BY informacio.id DESC";
		$registrens = select_sql($sql);
}


if (count($registrens)) {

foreach ($registrens as $registre) { 
		$registre = array_map("stripslashes", $registre);
		$registre = array_map("utf8_encode", $registre);
      	?>
      	 
      	<div class="row element-llistat">
      		<div class="col-xs-6 aida">
	      		<?php echo ($registre['aida']); ?>
	      		
	      		
	      		<?php
		      		
		      	if ($registre['who'] == 2 || $registre['who'] == 3 || $registre['who'] == 4) {	 
		      		if ($registre['name'] == '' & $registre['surname_1'] == '' & $registre['surname_2'] == '') {
		      		echo "<em>anònim</em>";
		      		}
		      		else {echo ($registre['name']." ".$registre['surname_1']." ".$registre['surname_2']);}
		      		}
		        if ($registre['who'] == 1) {	 
		      		if ($registre['name_e'] == '') {
		      			echo "<em>anònim</em>";
		      		}
		      		else {echo ($registre['name_e']);}
		      		}
		      	
		      	if ($registre['who'] == 5) {	 
		      		if ($registre['name_gdf'] == '') {
		      			echo "<em>anònim</em>";
		      		}
		      		else {echo ($registre['name_gdf']);}
		      		}
		      	
		      		 ?>
		      	<?php if ($registre['alias'] != '') { ?> 	 
		      	<strong>[<?php echo ($registre['alias']); ?>]</strong>
		      	<?php } ?>
      		</div>
      		<div class="col-xs-5 estat">
	      		<?php 
		      		if ($registre['estat'] != '') { ?>
		      		<a href="../expedients/registre.php?id=<?php echo $registre['id']; ?>" >
			      		<span class="label <?php echo $label_expedient[$registre['estat']]; ?>">Expedient <?php echo $estat_expedient[$registre['estat']]; ?></span></a>
		      		<?php } ?>
		      		
		      		<a href="registre.php?id=<?php echo $registre['id']; ?>"><span class="label label-primary">Informació</span></a>
		      		
      		</div>
      		
      		


	      		<div class="col-xs-8">
		      	Atés per <strong><?php echo $users[$registre['attended_by']-1]['name']; ?></strong> el <strong>
	      		<?php
		      			$date_mysql = DateTime::createFromFormat('Y-m-d H:i:s', $registre['date']);
		      			$date = $date_mysql->format('d-m-Y H:i:s'); 
		      		    echo ($date); ?></strong>
		      		    
	      		

      		</div>
      		<div class="col-xs-4">
	      		
	      		<?php
		      		if ($registre['lopd'] == '') { ?>
		      		<p>Document LOPD: <span class="glyphicon glyphicon-exclamation-sign" style="color:red;" aria-hidden="true"></span>
			      		<a href="../docs/lopd.ca.pdf" target="_blank" >[cat]</a>
			      		<a href="../docs/lopd.es.pdf" target="_blank" >[cas]</a>
			      		&nbsp;||&nbsp;
			      		<span class="glyphicon glyphicon-upload upload" id="upload_<?php echo($registre['id']); ?>" data-id="<?php echo($registre['id']); ?>" data-aida="<?php echo($registre['aida']); ?>" aria-hidden="true" href="#lopd"></span>
			      		
			      		
		      		</p>
		      		<?php } ?>
		      	<?php
		      	if ($registre['lopd'] != '') { ?>
		      <p>Document LOPD:	<a href="files/<?php  echo $registre['lopd'] ?>" >	<span class="glyphicon glyphicon-download" aria-hidden="true"></span></a></p>
		      	<?php } ?>
      		</div>
      	 
      		</div>
	      	 
      	 
<?php }} ?>