<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');
require_once('../inc/config.php');

?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title><?php echo $title; ?></title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width">

        <link rel="stylesheet" href="../css/bootstrap.min.css">
        <link rel="stylesheet" href="../css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="../css/main.css">
        <link rel="stylesheet" href="../css/jquery.fileupload.css">

           <style>
            body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
        </style>
    </head>
    <body>
    
    <div class="modal fade" id="lopd">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Adjunta document LOPD</h4>
	      </div>
	      <div class="modal-body">
	        <p>Estàs adjuntant el document LODP del registre <span class="span-aida"></span></p>
	        <form id="form-lopd" enctype="multipart/form-data">
	        <input type="hidden" name="fitxaId" id="fitxaId" value=""/>
	        <input type="hidden" name="fileOld" id="fileOld" value=""/>
	        <span class="btn btn-success fileinput-button">
				<i class="glyphicon glyphicon-plus"></i>
				<span>Selecciona l'arxiu</span>
				<!-- The file input field used as target for the file upload widget -->
				<input id="fileupload" type="file" name="files[]" multiple>
			</span>
			<div id="progress" class="progress" style="margin-top:10px;">
				<div class="progress-bar progress-bar-success"></div>
    		</div>
    <!-- The container for the uploaded files -->
    		<div id="files" class="files"></div>
	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary upload-lopd">Adjunta</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    
    
    <?php include('../menu.php'); ?>
   

    <div class="container">
	  <?php include('../info.php'); ?>  
      
      <div class="row">
      <ol class="breadcrumb">
		  <li><a href="../index.php">Inici</a></li>
		  <li class="active"><a href="index.php">Fitxes d'informació</a></li>
	  </ol>
      </div>
<div class="row">
 <div class="col-sm-6 col-md-offset-6">
		  <a href="add_registre.php"><button type="button" class="btn btn-default" style="float:right;"><span class="glyphicon glyphicon-plus-sign"></span> Nova fitxa</button></a>
 </div>
</div>    
     <div class="row cercador">
       <!-- 	<form role="form">
		  <div class="form-group col-sm-6">
		    <label for="noticis">Contactes</label>
		    <input type="text" class="form-control" id="contacte" name="contacte" placeholder="email">
		    <button type="submit" class="btn btn-default">Cerca</button>
		  </div> -->
		  <!-- <div class="col-sm-12">
		  <a href="add_soci.php"><button type="button" class="btn btn-default" style="float:right;"><span class="glyphicon glyphicon-plus-sign"></span> Afegir contacte</button></a>
		  </div> 
		</form>-->
      </div> 
	  <div class="row bar">
	 
	  </div>
	  <div class="row">
	 <!-- <table class="table table-hover">
	  	<thead>
        <tr>
          <th>Referència</th>
          <th>Qui</th>
          <th>Persona/Entitat [persona coneguda com]</th>
          <th>Estat</th>
          <th>Data</th>
          <th>LOPD</th>
        </tr>
      </thead>
      <tbody class="contenidor_items">
    
      	
      
      </tbody>-->
      <div class="col-xs-12 contenidor_items">
      
      </div>
      
	  </div>
      <hr>

    
    </div> <!-- /container -->        
    	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')</script>

        <script src="../js/vendor/bootstrap.min.js"></script>
        <script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        
        <link rel="stylesheet" type="text/css" href="../js/vendor/jqplot/jquery.jqplot.min.css">
        <script src="../js/vendor/jqplot/jquery.jqplot.min.js"></script>
        <script src="../js/vendor/jqplot/plugins/jqplot.barRenderer.min.js"></script>
		<script src="../js/vendor/jqplot/plugins/jqplot.categoryAxisRenderer.min.js"></script>
		<script src="../js/vendor/jqplot/plugins/jqplot.pointLabels.min.js"></script>
		<script src="../js/vendor/jquery.ui.widget.js"></script>
		<!-- The Iframe Transport is required for browsers without support for XHR file uploads -->
		<script src="../js/jquery.iframe-transport.js"></script>
		<!-- The basic File Upload plugin -->
		<script src="../js/jquery.fileupload.js"></script>
        <script src="../js/main.js"></script>
        <script>
       			$( "#info" ).addClass( "active" );
       	</script>
        <?php if (!(isset($_GET['e']))) { ?>
	      <script>
	        $(".contenidor_items" ).html('');
			$.get( "get_registres.php", function( data ) {$( ".contenidor_items" ).html( data );});
			//$(".bar" ).html('');
			//$.get( "get_bar.php", function( data ) {$( ".bar" ).html( data );});
		  </script>
       <?php  } ?>
       <script>
		$(function () {
		    'use strict';
		    // Change this to the location of your server-side upload handler:
		    var url = window.location.hostname === 'blueimp.github.io' ?
		                '//jquery-file-upload.appspot.com/' : 'upload.php';
		    var aida = $('.span-aida').html();
		    $('#fileupload').fileupload({
		        url: url,
		        formData: {aida: aida},
		        dataType: 'json',
		        done: function (e, data) {
		            $.each(data.result.files, function (index, file) {
		                var fileOld = file.name;
		                
		                /*alert((fileOld));*/
		                $('#files').html("<p>lopd_"+$('.span-aida').html()+".pdf</p>")
		                /*$('<p/>').text(file.name).appendTo('#files');*/
		                $('#fileOld').val(fileOld);
		                
		            });
		        },
		        progressall: function (e, data) {
		            var progress = parseInt(data.loaded / data.total * 100, 10);
		            $('#progress .progress-bar').css(
		                'width',
		                progress + '%'
		            );
		        }
		    }).prop('disabled', !$.support.fileInput)
		        .parent().addClass($.support.fileInput ? undefined : 'disabled');
		});
</script>

    </body>
</html>
