<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');
require_once('../inc/config.php');	
	
$whos = select('informacio_who');
$document_types = select('informacio_document_type');
$channels = select('informacio_channel');
$provenances = select('informacio_provenance');
$users = select('app_users');
$organitzacions = select('informacio_org');
$temes = select('informacio_temes');
$subtemes = select('informacio_temes_altres');
$knows = select('informacio_know');
$froms = select('informacio_derived_from');
$tos = select('informacio_derived_to');
$districtes = select('app_districtes');
$barris = select('app_barris');

if (isset($_GET['id'])) {
    $sql = "SELECT * FROM informacio
                WHERE informacio.id = ".$_GET['id'];
    $registres = select_sql($sql);

    $registre = ($registres[0]);
    $registre = array_map("stripslashes", $registre);
    $registre = array_map("utf8_encode", $registre);
    
    $sql = "SELECT * FROM informacio_f_informat WHERE idinfo = ".$_GET['id'];
    $informacions = select_sql($sql);
   
    
    $sql = "SELECT * FROM informacio_f_temes WHERE idinfo = ".$_GET['id'];
    $temes_ = select_sql($sql);
    
    $sql = "SELECT * FROM informacio_f_subtemes WHERE idinfo = ".$_GET['id'];
    $subtemes_ = select_sql($sql);
    
    $sql = "SELECT * FROM informacio_f_derivat WHERE idinfo = ".$_GET['id'];
    $derivat = select_sql($sql);
    
	$sql = "SELECT * FROM expedients WHERE idi = ".$_GET['id'];
	$expedient = select_sql($sql);
	$e=0;
	if (count($expedient)) {
		$e = 1;
	}

 
}
?>
<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->

<html class="no-js">
<!--<![endif]-->

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <title><?php echo $title; ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" href="../css/bootstrap.min.css" type="text/css">
    <link rel="stylesheet" href="../css/bootstrap-theme.min.css" type="text/css">
    <link rel="stylesheet" href="../css/main.css" type="text/css">
    <style type="text/css">
        body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
    </style>
</head>

<body>

	    <?php include('../menu.php'); ?>

    <div class="container">
        <?php include('../info.php'); ?>

        <div class="row">
            <ol class="breadcrumb">
                <li><a href="../index.php">Inici</a></li>

                <li><a href="index.php">Fitxes d'informació</a></li>

                <li class="active">Fitxa d'informació</li>
            </ol>
        </div>

        <h3>
	       
	        	<?php
		      		
		      	if ($registre['who'] == 2 || $registre['who'] == 3 || $registre['who'] == 4) {	 
		      		if ($registre['name'] == '' & $registre['surname_1'] == '' & $registre['surname_2'] == '') {
		      		echo "<em>anònim</em>";
		      		}
		      		else {echo ($registre['name']." ".$registre['surname_1']." ".$registre['surname_2']);}
		      		}
		        if ($registre['who'] == 1) {	 
		      		if ($registre['name_e'] == '') {
		      			echo "<em>anònim</em>";
		      		}
		      		else {echo ($registre['name_e']);}
		      		}
		      	
		      	if ($registre['who'] == 5) {	 
		      		if ($registre['name_gdf'] == '') {
		      			echo "<em>anònim</em>";
		      		}
		      		else {echo ($registre['name_gdf']);}
		      		}
		      	
		      		 
		      	
		      	if ($registre['alias'] != '') { 
			      	?>
			      	|| (<?php echo ($registre['alias']) ?>)
			      	<?php
		      	}	 
		      		 ?>
		      		<?php if ($e == 0) { ?>
		      		 <a href="edit_registre.php?id=<?php echo $registre['id']; ?>"> <button type="button" class="btn btn-default">
  <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span> editar
</button></a>
<?php } ?>
		      		 </h3>
		
		<div class="tab-content">
            <div class="panel panel-default active" id="fitxa">
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Identificació</h3>
                </div>

                <div class="panel-body">
                    <div class="row">
                        <div class="col-xs-3">
                            <strong>Número de registre</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Document</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Gènere</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Tipologia</strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-3">
                            <?php
		      			echo ($registre['aida']) ?>
                        </div>

                        <div class="col-xs-3">
                            <?php 
	                           if ($registre['document_type'] == 0) {
		                           echo "sense document: ".$fitxa['aida'];
	                           }
	                           else {
	                           echo utf8_encode($document_types[$registre['document_type']-1]['literal']).": ".$registre['document_number'];} ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo $registre['gender']; ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo $whos[$registre['who']-1]['literal']; ?>

                        </div>
                    </div>
                   
                </div>
            </div>
        </div>

		
			  		 
        <div class="tab-content">
            <div class="panel panel-default active" id="fitxa">
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Estadístic</h3>
                </div>

                <div class="panel-body">
                    <div class="row">
                        <div class="col-xs-3">
                            <strong>Data i hora d'atenció</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Atès per</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Canal</strong>
                        </div>

                        <div class="col-xs-3">
                            <strong>Coneixement de la OADD</strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-3">
                            <?php
		      			$date_mysql = DateTime::createFromFormat('Y-m-d H:i:s', $registre['date']);
		      			$date = $date_mysql->format('d-m-Y H:i:s'); 
		      		    echo ($date); ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo $users[$registre['attended_by']-1]['name']; ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo utf8_encode($channels[$registre['channel']-1]['literal']); ?>
                        </div>

                        <div class="col-xs-3">
                            <?php echo utf8_encode($knows[$registre['know']-1]['literal']); ?>

                        </div>
                    </div>
                 
                </div>
            </div>
        </div>
	<?php if ($registre['who'] == 1) { ?> 	
		<div class="tab-content">
            <div class="panel panel-default active" id="fitxa">
                
               
              
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Dades de contacte</h3>
                </div>
               
                <div class="panel-body">
	                
	            
	          
	                
                    <div class="row">
                        <div class="col-xs-12">
                            <strong>Adreça</strong>
                     
                            <?php echo $registre['carrer_e']." ".$registre['numero_e']." ".$registre['rest_e'] ." ".$registre['cp_e']." ".$registre['city_e']; ?>
                        </div>
  
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-xs-2">
                            <strong>telèfon 1</strong>
                        </div>

                        <div class="col-xs-2">
                            <strong>telèfon 2</strong>
                        </div>

                        <div class="col-xs-8">
                            <strong>email</strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-2">
                            <?php echo $registre['phone1_e']; ?>
                        </div>

                        <div class="col-xs-2">
                            <?php echo $registre['phone2_e']; ?>
                        </div>

                        <div class="col-xs-8">
                            <?php echo $registre['email_e']; ?>
                        </div>
                    </div>
                

                    

                    

                                    </div>
            </div>
            
		
        </div>
		<?php } ?>
        <div class="tab-content">
            <div class="panel panel-default active" id="fitxa">
                
               <?php if ($registre['who'] == 1) { ?> 
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Persona de contacte</h3>
                </div>
                <?php } ?>
                <?php if ($registre['who'] != 1) { ?> 
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Dades de contacte</h3>
                </div>
                <?php } ?>
                <div class="panel-body">
	                
	            
	             <?php if ($registre['who'] == 1) { ?>
	             <div class="row">
                        <div class="col-xs-6">
                            <strong>Nom</strong>
                     
                            <?php echo $registre['name']." ".$registre['surname1']." ".$registre['surname2']; ?>
                        </div>
                         <div class="col-xs-6">
                            <strong>Conegut com</strong>
                     
                            <?php echo $registre['alias']; ?>
                        </div>
                    </div>
                    <hr>
	             <?php } ?>   
	                
                    <div class="row">
                        <div class="col-xs-12">
                            <strong>Adreça</strong>
                     
                            <?php echo $registre['carrer']." ".$registre['numero']." ".$registre['rest'] ." ".$registre['cp']." ".$registre['city']; ?>
                        </div>
  
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-xs-2">
                            <strong>telèfon 1</strong>
                        </div>

                        <div class="col-xs-2">
                            <strong>telèfon 2</strong>
                        </div>

                        <div class="col-xs-8">
                            <strong>email</strong>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-2">
                            <?php echo $registre['phone1']; ?>
                        </div>

                        <div class="col-xs-2">
                            <?php echo $registre['phone2']; ?>
                        </div>

                        <div class="col-xs-8">
                            <?php echo $registre['email']; ?>
                        </div>
                    </div>
                

                    

                    

                                    </div>
            </div>
            
		
        </div>
        
         <div class="tab-content">
            <div class="panel panel-default active" id="fitxa">
                
               
                <div class="panel-heading">
                    <h3 class="panel-title title_show_dades">Informació solicitada</h3>
                </div>


                <div class="panel-body">
	                
	             
	                
                    <div class="row">
                        <div class="col-xs-12">
                            <strong>Sol·licita</strong>

                        </div>
  
                    </div>
                   <div class="row">
                        <div class="col-xs-12">
                            
                     
                            <?php echo $registre['demand']; ?>
                        </div>
  
                    </div>
                    <hr>

                     <div class="row">
                        <div class="col-xs-12">
                            <strong>Detall de la demanda</strong>

                        </div>
  
                    </div>
                   <div class="row">
                        <div class="col-xs-12">
                            
                     
                            <?php echo $registre['info_detall']; ?>
                        </div>
  
                    </div>
                    <hr>
					<div class="row">
                        <div class="col-xs-12">
                            <strong>Informat de</strong>
							<?php 
								foreach ($informacions as $item) { ?>
								<span class="label label-default">
								<?php	echo utf8_encode($organitzacions[$item['item']-1]['literal']);?></span>
								<?php }
								
								 ?>
                        </div>
  
                    </div>
                   
                   	<div class="row">
                        <div class="col-xs-12">
                            <strong>Temes informats</strong>
							<?php
								
								foreach ($temes_ as $item) { 
									
								?>
								<span class="label label-default"><?php echo utf8_encode($temes[$item['item']-1]['literal']); ?></span>
								<?php }
								 ?>
                        </div>
  
                    </div>
                    
                    <div class="row">
                        <div class="col-xs-12">
                            <strong>Subtema</strong>
							<?php 
								
								if (is_array($subtemes_)) {
									foreach ($subtemes_ as $item) {
								?>
								<span class="label label-default">		
								<?php echo utf8_encode($subtemes[$item['item']-1]['literal']); ?></span>
								<?php }} ?>
                        </div>
  
                    </div>
                   
                    <div class="row">
                        <div class="col-xs-12">
                            <strong>Derivat a</strong>
							<?php 
								
								if (is_array($derivat)) {
									foreach ($derivat as $item) {
								?>
								<span class="label label-default">		
								<?php echo utf8_encode($tos[$item['item']-1]['literal']); ?></span>
								<?php }} ?>
                        </div>
  
                    </div>
					
                   
                    <hr>
                    
                

                    

                    

                                    </div>
            </div>
            
		
        </div>
        
        
    </div><!-- /container --><script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js" type="text/javascript">
</script><script type="text/javascript">
window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')
    </script><script src="../js/vendor/bootstrap.min.js" type="text/javascript">
</script><script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js" type="text/javascript">
</script><script src="../js/main.js" type="text/javascript">
</script>

<script type="text/javascript">
            $( "#info" ).addClass( "active" );
    </script>
</body>
</html>
