<?php
require_once('inc/connect.php');
require_once('inc/util.php');

if (isset($_POST['dades'])) {

	   if (
	   	   ($_POST['carrer'] != "") 
		&& ($_POST['num'] != "") 
		&& ($_POST['cp'] != "") 
		&& ($_POST['persona'] != "") 
		&& ($_POST['carrec'] != "")  
		&& ($_POST['telefon'] != "") 
		&& ($_POST['email'] != "")  
		&& ($_POST['telefon_e'] != "")
		&& ($_POST['email_e'] != "")
		
				) 
	 {
       
		$sth = $db->prepare('UPDATE mostra2014 SET 
									carrer = ?,
									num = ?,
									pis = ?,
									porta = ?,
									cp = ?,
									web = ?,
									fb = ?,
									tw = ?,
									persona = ?,
									carrec = ?,
									telefon = ?,
									email = ?,
									consell = ?,
									voluntat = ?,
									ce = ?,
									telefon_e = ?,
									fax_e = ?,
									email_e = ?
									WHERE
									id = ?');
							
		foreach ($_POST as $key =>$value)
				{
					if (is_string($value)) {$formulari[$key] = stripslashes($value);}
					else {$formulari[$key] = $value;}
				}
			
		$data = array($formulari['carrer'],
					  $formulari['num'],
					  $formulari['pis'],
					  $formulari['porta'],
					  $formulari['cp'],
					  $formulari['web'],
					  $formulari['fb'],
					  $formulari['tw'],
					  $formulari['persona'],
					  $formulari['carrec'],
					  $formulari['telefon'],
					  $formulari['email'],
					  $formulari['consell'],
					  $formulari['voluntat'],
					  $formulari['ce'],
					  $formulari['telefon_e'],
					  $formulari['fax_e'],
					  $formulari['email_e'],
					  $formulari['id']
					 );

		$a = $db->execute($sth, $data);
}}

$label = array( 'm1' => 'label-default',
			    'm2' => 'label-primary',
				'm3' => 'label-success',
				'm4' => 'label-info',
				'm5' => 'label-warning'
				);

$sql = "SELECT * 
		FROM mostra2014
		LEFT JOIN bcnparti_participacio.PCCFGEC_CONS_ENTITY
		ON mostra2014.nif = bcnparti_participacio.PCCFGEC_CONS_ENTITY.NIFENTITAT
		LEFT JOIN bcnparti_participacio.PCCFGEC_CONS_SECTORTEMATIC1
		ON bcnparti_participacio.PCCFGEC_CONS_ENTITY.SECTORTEMATIC1ID = bcnparti_participacio.PCCFGEC_CONS_SECTORTEMATIC1.SECTORTEMATIC1ID
		WHERE id = ".$_GET['id'];
$items = select_sql($sql);
$inscripcio = array_map("stripslashes", $items[0]);


?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title>19 Mostra - Panell de control - Itineraris</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width">

        <link rel="stylesheet" href="css/bootstrap.min.css">
        <link rel="stylesheet" href="css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="css/main.css">

           <style>
            body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
            .tab-content p {
	            text-align: justify;
            }
        </style>
    </head>
    <body>
    <div class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">19 Mostra</a>
        </div>
        <div class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
            <li><a href="index.php">Inici</a></li>
            <li><a href="inscripcions.php" class="active">Inscripcions</a></li>
           
          </ul>
     </div><!--/.navbar-collapse -->
      </div>
    </div>

   

    <div class="container">
      <?php include('info.php'); ?>  
      
      <div class="row">
      <ol class="breadcrumb">
		  <li><a href="index.php">Inici</a></li>
		  <li><a href="inscripcions.php">Inscripcions</a></li>
		  <li class="active"><a href="inscripcio.php?id=<?php echo $inscripcio['id']; ?>"><?php echo $inscripcio['nom']; ?></a></li>
	  </ol>
      </div>
	  <div class="row bar">
	 
	  </div>
	  <div class="row">
	  	<h3 class="small" style="margin-bottom:20px;"><?php echo $inscripcio['nom']; ?></h3> 
	  	
	  	
	  	<div class="row" style="margin-bottom:20px;">
	  		<?php if ($inscripcio['modalitat']!='') {?>
      			<div id="modalitat_show" class="col-sm-1 label <?php echo $label[$inscripcio['modalitat']]; ?> modalitat_show" style="font-size:16px; margin:10px;">
      				<span class="modalitat"><?php echo utf8_encode($inscripcio['modalitat']); ?></span>
      				<span class="glyphicon glyphicon-pencil modalitat_mostra" style="display:none;"></span>
	  			</div> 
      	<?php } ?>
      	<?php if ($inscripcio['modalitat']=='') {?>
      			<div id="modalitat_show" class="col-sm-1 label <?php echo $label['m5']; ?> modalitat_show" style="font-size:16px; margin:10px;"> 
	      			<span class="modalitat">m5</span>
	      			<span class="glyphicon glyphicon-pencil modalitat_mostra" style="display:none;"></span>
      			</div>
      	<?php } ?>
      	
      	<div class="col-sm-2 modalitat_edit" style="display:none;">
			 <form class="form-inline form_modalitat" role="form">
			  	<div class="form-group" style="margin:0; padding:0">
				  	<input type="hidden" class="form-control" id="id" name="id" value="<?php echo $inscripcio['id']; ?>">
				    <select class="form-control" id="modalitat" name="modalitat">
							  <option value="m1" <?php if ($inscripcio['modalitat'] == 'm1') {echo 'selected="selected"';} ?>>modalitat 1</option>
							  <option value="m2" <?php if ($inscripcio['modalitat'] == 'm2') {echo 'selected="selected"';} ?>>modalitat 2</option>
							  <option value="m3" <?php if ($inscripcio['modalitat'] == 'm3') {echo 'selected="selected"';} ?>>modalitat 3</option>
							  <option value="m4" <?php if ($inscripcio['modalitat'] == 'm4') {echo 'selected="selected"';} ?>>modalitat 4</option>
							  <option value="" <?php if ($inscripcio['modalitat'] == '') {echo 'selected="selected"';} ?>>modalitat 5</option>
					</select>
			    </div>
				<div class="form-group">
			    	<button class="btn btn-default update_modalitat"><span class="glyphicon glyphicon-pencil"></span></button>
				</div> 
			</form>
      	</div>

	  	
			 <div class="col-sm-2 nif_show" style="font-size:16px; margin:10px 0;"><span class="nif"><?php echo $inscripcio['nif']; ?></span> 
			 	<span class="glyphicon glyphicon-pencil nif_mostra" style="display:none;"></span>
			 </div>
			<div class="col-sm-2 nif_edit" style="display:none; font-size:16px;">
			 <form class="form-inline form_nif" role="form">
			  	<div class="form-group col-sm-9" style="margin:0; padding:0">
				  	<input type="hidden" class="form-control" id="id" name="id" value="<?php echo $inscripcio['id']; ?>">
				    <input type="text" class="form-control" id="nif" name="nif" value="<?php echo $inscripcio['nif']; ?>">
			    </div>
				<div class="form-group">
			    	<button class="btn btn-default update_nif"><span class="glyphicon glyphicon-pencil"></span></button>
				</div> 
			</form>
		    </div>
			 
			 
			 <div class="col-sm-5 fgec" style="font-size:16px; margin:10px;">
			 <?php if ($inscripcio['description']!='') { ?>
			 	<span class="alert alert-success fgec"><?php echo utf8_encode($inscripcio['description']); ?></span>
			 <?php } ?>
			  <?php if ($inscripcio['description']=='') { ?>
			  <span class="alert alert-danger fgec"><strong>NIF no informat al FGEC</strong></span>
			  <?php } ?>
			 </div>
		</div>
		

		<div class="row">
		<div class="alert alert-success avis col-sm-4" style="display:none;"></div>
		</div>
	  	<ul class="nav nav-tabs">
			  <li class="active"><a href="#dades" data-toggle="tab"><strong>Dades de contacte</strong></a></li>
			  <?php if ($inscripcio['modalitat'] != '') { ?> 
			  <li><a href="#cataleg" data-toggle="tab"><strong>Fixa del catàleg</strong></a></li>
			  <?php } ?>
		      <?php 
			  if ($inscripcio['activitats'] == 'accio') {?>
		      <li><a href="#accio" data-toggle="tab"><strong>Acció</strong></a></li>
		      <?php } ?>
		</ul>
		
	  	<div class="tab-content">
	  		<div class="panel panel-default tab-pane active" id="dades">
			  <div class="panel-heading">
			    <h3 class="panel-title title_show_dades">Dades de contacte <span class="glyphicon glyphicon-pencil icon_edit_dades" style="display:none;"></span></h3>
			  </div>
			  <div class="panel-body show_dades">
			    <h4>Adreça</h4>
			    <p>
			    	<?php echo $inscripcio['carrer']; ?>
					<?php echo $inscripcio['num']; ?>
					<?php echo $inscripcio['pis']; ?>
					<?php echo $inscripcio['porta']; ?>
			    </p>
			    <p>
				    <?php echo $inscripcio['cp']; ?>
				    Barcelona
			    </p>
			    <hr />
			    <div class="row">
					    <div class="form-group col-sm-6" >
						    <h4>Persona de contacte</h4>
						    	<p><?php echo $inscripcio['persona']; ?> (<?php echo $inscripcio['carrec']; ?>)</p>
								<p><?php echo $inscripcio['telefon']; ?></p>
								<p><a href="mailto:<?php echo $inscripcio['email']; ?>"><?php echo $inscripcio['email']; ?></a></p>
						    </p>
					    </div>
					    <div class="form-group col-sm-6" >
						    <h4>Contacte de l'entitat (catàleg)</h4>
						    <p><?php echo $inscripcio['telefon_e']; ?></p>
							<p><?php echo $inscripcio['fax_e']; ?></p>
							<p><a href="mailto:<?php echo $inscripcio['email_e']; ?>"><?php echo $inscripcio['email_e']; ?></a></p>
					    </div>
			    </div>
			    <hr />
			    <h4>Web i xxss</h4>
			    <p>
			    <?php if ($inscripcio['web'] != '') { ?>
			    	<?php if (strpos($inscripcio['web'], 'http') === 0 || strpos($inscripcio['web'], 'https') === 0  ) { ?>
				    	<p><a href="<?php echo $inscripcio['web']; ?>" target="_blank"><?php echo $inscripcio['web']; ?></a></p>
					<?php } else { ?>
				    	<p><a href="http://<?php echo $inscripcio['web']; ?>" target="_blank"><?php echo $inscripcio['web']; ?></a></p>
					<?php } ?>
			    <?php } ?>
					<p><?php echo $inscripcio['fb']; ?></p>
					<p><?php echo $inscripcio['tw']; ?></p>
			    </p>
			    <hr />
			    <h4>Consells i Codi ètic</h4>
			    <p>
			    	<p><strong>Pertany a:</strong> <?php echo $inscripcio['consell']; ?></p>
					<p><strong>Vol pertànyer:</strong> 
					<?php if ($inscripcio['voluntat'] == 0) { ?>
						No</p>
				    <?php } ?>
				    <?php if ($inscripcio['voluntat'] == 1) { ?>
						Sí</p>
				    <?php } ?>
				    <?php if ($inscripcio['voluntat'] == '') { ?>
						--</p>
				    <?php } ?>			
					<p><strong>CE [entitat]:</strong> 
					<?php if ($inscripcio['ce'] == 0) { ?>
						No</p>
				    <?php } ?>
				    <?php if ($inscripcio['ce'] == 1) { ?>
						Sí</p>
				    <?php } ?>
				    <?php if ($inscripcio['ce'] == '') { ?>
						--</p>
				    <?php } ?>	
					</p>
			    </p>
			  </div>
			  
<!-- start panell edició -->			  
			  <div class="panel-body edit_dades" style="display:none">
			  	<form class="form_dades" role="form" method="post" action="inscripcio.php?<?php echo $_SERVER['QUERY_STRING']; ?>">
				    <input type="hidden" class="form-control" id="id" name="id" value="<?php echo $inscripcio['id']; ?>">
				  	<input type="hidden" class="form-control" id="dades" name="dades" value="dades">
				    <h5>Adreça</h5>
				    <div class="row">
					    <div class="form-group col-sm-6" >
						    <input type="text" class="form-control" id="carrer" name="carrer" value="<?php echo $inscripcio['carrer']; ?>">
					    </div>
					    <div class="form-group col-sm-1">
						    <input type="text" class="form-control" id="num" name="num" value="<?php echo $inscripcio['num']; ?>">
					    </div>
					    <div class="form-group col-sm-1">
						    <input type="text" class="form-control" id="pis" name="pis" value="<?php echo $inscripcio['pis']; ?>">
					    </div>
					    <div class="form-group col-sm-1">
						    <input type="text" class="form-control" id="porta" name="porta" value="<?php echo $inscripcio['porta']; ?>">
					    </div>
					    <div class="form-group col-sm-1">
						    <input type="text" class="form-control" id="cp" name="cp" value="<?php echo $inscripcio['cp']; ?>">
					    </div>
				    </div>
<div class="row">
	<div class="col-sm-6">	  	
				    <h5>Persona de contacte</h5>
				    <div class="row">
					    <div class="form-group col-sm-12">
						    <input type="text" class="form-control" id="persona" name="persona" value="<?php echo $inscripcio['persona']; ?>">
					    </div>
				    </div>
				     <div class="row">
					    <div class="form-group col-sm-12">
						    <input type="text" class="form-control" id="carrec" name="carrec" value="<?php echo $inscripcio['carrec']; ?>">
					    </div>
				    </div>
				    <div class="row">
					    <div class="form-group col-sm-6">
						    <input type="text" class="form-control" id="telefon" name="telefon" value="<?php echo $inscripcio['telefon']; ?>">
					    </div>
					    <div class="form-group col-sm-6">
						    <input type="text" class="form-control" id="email" name="email" value="<?php echo $inscripcio['email']; ?>">
					    </div>
				    </div>
	</div>
	<div class="col-sm-6">
					 <h5>Contacte de l'entitat</h5>
					 <div class="row">
					    <div class="form-group col-sm-12">
						    <input type="text" class="form-control" id="telefon_e" name="telefon_e" value="<?php echo $inscripcio['telefon_e']; ?>">
					    </div>
				     </div>
				      <div class="row">
					    <div class="form-group col-sm-12">
						    <input type="text" class="form-control" id="fax_e" name="fax_e" value="<?php echo $inscripcio['fax_e']; ?>">
					    </div>
				     </div>
				      <div class="row">
					    <div class="form-group col-sm-12">
						    <input type="text" class="form-control" id="email_e" name="email_e" value="<?php echo $inscripcio['email_e']; ?>">
					    </div>
				     </div>

	</div>
</div>				    
				    <h5>Web i xxss</h5>
				    <div class="row">
				    	<div class="form-group col-sm-3">
						    <input type="text" class="form-control" id="web" name="web" value="<?php echo $inscripcio['web']; ?>">
					    </div>
				    </div>
				    <div class="row">
				    	<div class="form-group col-sm-3">
						    <input type="text" class="form-control" id="fb" name="fb" value="<?php echo $inscripcio['fb']; ?>">
					    </div>
					    <div class="form-group input-group col-sm-3">
						    <span class="input-group-addon">@</span>
						    <input type="text" class="form-control" id="tw" name="tw" value="<?php echo $inscripcio['tw']; ?>">
					    </div>
				    </div>
					
					<h5>Consells i Codi ètic</h5>
					<div class="row">
				    	<div class="form-group col-sm-3">
						    <input type="text" class="form-control" id="consell" name="consell" value="<?php echo $inscripcio['consell']; ?>">
					    </div>
				    </div>
				    <div class="row">
				    	<div class="form-group col-sm-3">
				    		<select class="form-control" id="voluntat" name="voluntat">
							  <option value="1" <?php if ($inscripcio['voluntat'] == 1) {echo 'selected="selected"';} ?>>Vol pertànyer a un CP</option>
							  <option value="0" <?php if ($inscripcio['voluntat'] == 0) {echo 'selected="selected"';} ?>>No vol pertàner a un CP</option>
							  <option value="" <?php if ($inscripcio['voluntat'] == '') {echo 'selected="selected"';} ?>>NS/NC</option>
							</select>
					    </div>
					    
					    <div class="form-group col-sm-3">
						    <select class="form-control" id="ce" name="ce">
							  <option value="1" <?php if ($inscripcio['ce'] == 1) {echo 'selected="selected"';} ?>>Pertany al CE</option>
							  <option value="0" <?php if ($inscripcio['ce'] == 0) {echo 'selected="selected"';} ?>>No pertany al CE</option>
							  <option value="" <?php if ($inscripcio['ce'] == '') {echo 'selected="selected"';} ?>>NS/NC</option>
							</select>
					    </div>
				    </div>
					<div class="form-group">
				    	<button class="btn btn-default"><span class="glyphicon glyphicon-pencil"></span></button>
					</div> 
				</form>
			</div>
<!-- end panell edició -->	
			</div>
			
			<?php if ($inscripcio['modalitat'] != '') { ?> 
			<div class="panel panel-default tab-pane" id="cataleg">
			  <div class="panel-heading">
			    <h3 class="panel-title">Fitxa del catàleg</h3>
			  </div>
			  <div class="panel-body">
			  <div class="row">
			  <div class="col-sm-6">
			    <p><?php echo $inscripcio['missio']; ?></p>
			    <p><strong><?php echo $inscripcio['titol']; ?></strong></p>
			    <p><?php echo $inscripcio['explicacio']; ?></p>
			    <hr />
			    <p><strong><?php echo $inscripcio['nom']; ?></strong></p>
			    <p>
			    	<?php echo $inscripcio['carrer']; ?>
					<?php echo $inscripcio['num']; ?>
					<?php echo $inscripcio['pis']; ?>
					<?php echo $inscripcio['porta']; ?>
			    -
				    <?php echo $inscripcio['cp']; ?>
				    Barcelona
				-
					Tel <?php echo $inscripcio['telefon_e']; ?>
				</p>
				<p> 
				   <?php echo $inscripcio['web']; ?> · 
				   <?php echo $inscripcio['fb']; ?> · 
				   <?php echo $inscripcio['tw']; ?>
				</p>
			  </div>
			 
			  <div class="col-sm-6">
			  <p><img class="thumbnail" src="http://mostrabcn.cat/files/<?php echo $inscripcio['imatge_final']; ?>" width='100%'></p>	
			  </div>
			   </div>
			   
			    
			  </div>
			</div>
			<?php } ?>
			<?php if ($inscripcio['activitats'] == 'accio') {?>
			<div class="panel panel-default tab-pane" id="accio">
			  <div class="panel-heading">
			    <h3 class="panel-title">Propostes d'activitats per a la programació de la Mostra</h3>
			  </div>
			  <div class="panel-body">
			    <p><strong><?php echo $inscripcio['actipo']; ?></strong></p>			  
			    <p><?php echo nl2br($inscripcio['propostact']); ?></p>			   
			  </div>
			</div>
			<?php } ?>
			

	  	</div>		
	  </div>
      <hr>

    
    </div> <!-- /container -->        
    	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="js/vendor/jquery-1.10.1.min.js"><\/script>')</script>

        <script src="js/vendor/bootstrap.min.js"></script>
        <script src="js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        
        <link rel="stylesheet" type="text/css" href="js/vendor/jqplot/jquery.jqplot.min.css">
        <script src="js/vendor/jqplot/jquery.jqplot.min.js"></script>
        <script src="js/vendor/jqplot/plugins/jqplot.barRenderer.min.js"></script>
		<script src="js/vendor/jqplot/plugins/jqplot.categoryAxisRenderer.min.js"></script>
		<script src="js/vendor/jqplot/plugins/jqplot.pointLabels.min.js"></script>
        <script src="js/main.js"></script>
		<script>
			
			$('.nif_edit').hide();
			$('.modalitat_edit').hide();
			
			$('.nif_show').hover(
			  function() {
			    $('.nif_mostra').show();
			  }, function() {
			    $('.nif_mostra').hide();
			  } 
			);
			
			$('.modalitat_show').hover(
			  function() {
			    $('.modalitat_mostra').show();
			  }, function() {
			    $('.modalitat_mostra').hide();
			  } 
			);
			
			
			$('.title_show_dades').hover(
			  function() {
			    $('.icon_edit_dades').show();
			  }, function() {
			    $('.icon_edit_dades').hide();
			  } 
			);
					
					
			$('.form_nif').click(function (e) {
			  e.preventDefault()
			})
			
			$('.form_modalitat').click(function (e) {
			  e.preventDefault()
			 
			})
			
			$('.tab-content a').unbind();
		</script>
		
		<script>
			var forum = new Date("4/28/2014");
			var today = new Date();
			var dd = today.getDate();
		
			var mm = today.getMonth()+1;
			var yyyy = today.getFullYear();
			
			if(dd<10) {
			    dd='0'+dd
			} 
			
			if(mm<10) {
			    mm='0'+mm
			} 
			
		
			var timeDiff = Math.abs(forum.getTime() - today.getTime());
			var diffDays = Math.ceil(timeDiff / (1000 * 3600 * 24)); 
			
			$(".falten").html(diffDays);
		</script>
		
    </body>
</html>
