<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');

$noticies = select_sql("SELECT * FROM news");

if (isset($_POST)  && $_POST['subject']!='' && $_POST['literal']!='' && $_POST['numero']!='' && $_POST['type']!=''){    
		$sth = $db->prepare('INSERT INTO news 
			(subject, literal, numero, type)
			VALUES(?, ?, ?, ?)');
		
		foreach ($_POST as $key =>$value)
			{
				if (is_string($value)) {$formulari[$key] = stripslashes($value);}
				else {$_SESSION[$key] = $value;}
			}
		
			$data = array($formulari['subject'],
					  $formulari['literal'],
					  $formulari['numero'],
					  $formulari['type'],
					 );
			$a = $db->execute($sth, $data);

			
			//print_r($a);
			
			header('Location: index.php');
}

?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title>acellec.cat - Panell de control - Newsletters</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width">

        <link rel="stylesheet" href="../css/bootstrap.min.css">
        <link rel="stylesheet" href="../css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="../css/main.css">
        
        <script src="../classes/ckeditor/ckeditor.js"></script>

           <style>
            body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
        </style>
    </head>
    <body>
<?php include('../menu.php'); ?> 

    <div class="container">
      <?php include('../info.php'); ?>  
	  <div class="row">
      <ol class="breadcrumb">
		  <li><a href="../index.php">Inici</a></li>
		  <li><a href="index.php">Newsletters</a></li>
		  <li class="active">Crear newsletter</li>
	  </ol>
    </div>
    
	<h3>Crear newsletter</h3>
	<div class="row">
		<div class="col-sm-10">
			<form role="form" action="add.php" enctype="multipart/form-data" method="post">
			  
			  <div class="form-group <?php if (isset($_POST) && $_POST['type'] === 0) {echo "has-error";} ?>">
			    <label for="titol" <?php if (isset($_POST) && $_POST['type'] === 0) {echo "style=\"color:red\"";} ?>>
			    	<span class="glyphicon glyphicon-asterisk"></span> Tipologia</label>
					<select name="type">
			      		<option value="0" <?php if($_POST['type']==0){ echo " selected";} ?>>---</option>
			      		<option value="1" <?php if($_POST['type']==1){ echo " selected";} ?>>Públic</option>
			      		<option value="2" <?php if($_POST['type']==2){ echo " selected";} ?>>Socis al dia</option>
			  		</select>			    
			  		<span class="help-block">Tipologia del newsletter</span>
			  </div>
			  
			  <div class="form-group <?php if (isset($_POST) && $_POST['subject'] === '') {echo "has-error";} ?>">
			    <label for="subject" <?php if (isset($_POST) && $_POST['subject'] === '') {echo "style=\"color:red\"";} ?>>
			    	<span class="glyphicon glyphicon-asterisk"></span> Assumpte del Newsletter</label>
			    <input type="text" class="form-control" id="subject" name="subject" placeholder="Assumpte del Newsletter" value="<?php echo $_POST['subject'] ?>">
			    <span class="help-block">El subject que veuran els receptors</span>
			  </div>
			  
			  <div class="form-group <?php if (isset($_POST) && $_POST['literal'] === '') {echo "has-error";} ?>">
			    <label for="subject" <?php if (isset($_POST) && $_POST['literal'] === '') {echo "style=\"color:red\"";} ?>>
			    	<span class="glyphicon glyphicon-asterisk"></span> Data (literal)</label>
			    <input type="text" class="form-control" id="literal" name="literal" placeholder="Data (literal)" value="<?php echo $_POST['literal'] ?>">
			    <span class="help-block">Data literal que apareix a la capçalera</span>
			  </div>
			  
			   <div class="form-group <?php if (isset($_POST) && $_POST['numero'] === '') {echo "has-error";} ?>">
			    <label for="subject" <?php if (isset($_POST) && $_POST['numero'] === '') {echo "style=\"color:red\"";} ?>>
			    	<span class="glyphicon glyphicon-asterisk"></span>numero</label>
			    <input type="text" class="form-control" id="numero" name="numero" placeholder="Numero" value="<?php echo $_POST['numero'] ?>">
			    <span class="help-block">Numero de l'edició del newsletter</span>
			  </div>
			  
			  
			  <button type="submit" class="btn btn-default">Guarda</button>
			</form>
		</div>
	</div>
    
    </div> <!-- /container -->        
    	
    	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')</script>
        <script src="../js/vendor/bootstrap.min.js"></script>
        <script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        <script src="../js/main.js"></script>
        		<script>
       			$( "#newsletter" ).addClass( "active" );
       		</script>
    </body>
</html>
