<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');
?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title>acellec.cat - Panell de control - Repositori</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width">

        <link rel="stylesheet" href="../css/bootstrap.min.css">
        <link rel="stylesheet" href="../css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="../css/main.css">

           <style>
            body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
        </style>
    </head>
    <body>
<!- modal delete -->    
    <div class="modal fade" id="esborra">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title">Esborrar element</h4>
	      </div>
	      <div class="modal-body">
	        <p>Confirmes que vols esborrar l'element?</p>
	        <form id="form_delete">
	        <input type="hidden" name="noticiaId" id="noticiaId" value=""/>
	        </form>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel·la</button>
	        <button type="button" class="btn btn-primary esborraNoticia">Esborra</button>
	      </div>
	    </div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
<!- /modal delete -->     
    
    
    <div class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
           <a class="navbar-brand" href="http://www.acellec.cat" target="_blank">acellec.cat</a>
        </div>
        <div class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
            <li><a href="../index.php">Inici</a></li>
            <li><a href="../noticies/index.php">Noticies</a></li>
            <li class="active"><a href="index.php">Repositori</a></li>
            <li><a href="../news/index.php">Newsletter</a></li>
            <li><a href="../contactes/index.php">Contactes</a></li>
          </ul>
     </div><!--/.navbar-collapse -->
      </div>
    </div>

   

    <div class="container">
	  <?php include('../info.php'); ?>  
      
      <div class="row">
      <ol class="breadcrumb">
		  <li><a href="../index.php">Inici</a></li>
		  <li class="active"><a href="index.php">Repositori</a></li>
	  </ol>
      </div>
      <div class="row">
      	
	  </div>
      <div class="row cercador">
      	<form role="form">
		  <div class="form-group col-sm-6">
		    <label for="noticis">Repositori</label>
		    <input type="text" class="form-control" id="noticia" name="element" placeholder="títol de l'element">
		    <button type="submit" class="btn btn-default">Cerca</button>
		  </div>
		  <div class="col-sm-6">
		  <a href="add_registre.php"><button type="button" class="btn btn-default" style="float:right;"><span class="glyphicon glyphicon-plus-sign"></span> Afegir element</button></a>
		  </div>
		</form>
      </div>
	  <div class="row bar">
	 
	  </div>
	  <div class="row">
	  <table class="table table-hover">
	  	<thead>
        <tr>
          <th>títol</th>
          <th>tipus</th>
          <th>element</th>
        </tr>
      </thead>
      <tbody class="contenidor_registres">
    
      	
      
      </tbody>
	  </div>
      <hr>

    
    </div> <!-- /container -->        
    	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')</script>

        <script src="../js/vendor/bootstrap.min.js"></script>
        <script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        
        <link rel="stylesheet" type="text/css" href="../js/vendor/jqplot/jquery.jqplot.min.css">
        <script src="../js/vendor/jqplot/jquery.jqplot.min.js"></script>
        <script src="../js/vendor/jqplot/plugins/jqplot.barRenderer.min.js"></script>
		<script src="../js/vendor/jqplot/plugins/jqplot.categoryAxisRenderer.min.js"></script>
		<script src="../js/vendor/jqplot/plugins/jqplot.pointLabels.min.js"></script>
        <script src="../js/main.js"></script>
        
	      <script>
	        $(".contenidor_registres" ).html('');
			$.get( "get_registres.php", function( data ) {$( ".contenidor_registres" ).html( data );});
			$(".bar" ).html('');
			$.get( "get_bar.php", function( data ) {$( ".bar" ).html( data );});
		  </script>
      
    </body>
</html>
