<?php
/** Error reporting */
error_reporting(E_ALL);
require("../inc/connect.php");
require_once('../inc/util.php');

$itineraris =  array(
    1  => "Gràcia",
    2 => "Sant Pere...",
    3 => "Poble Sec",
	4 => "Sants",
	5 => "Sarrià",
	6 => "Nou Barris-Sant Andreu",
	7 => "Poble Sec",
	8 => "Les Corts"
);

if (isset($_GET['t'])) {$t = ($_GET['t']);}
//if (!(isset($_GET['sql']))) {header("Location: ". "http://www.tjussana.org");}

if (isset($_GET['t'])) { 
	$sql = "SELECT *
				FROM inscripcions_2014
				JOIN type
				ON type.id = inscripcions_2014.type
				WHERE inscripcions_2014.type =".$_GET['t'];
		$inscripcions = select_sql($sql);
}

else {
	$sql = "SELECT *
				FROM inscripcions_2014
				JOIN type
				ON type.id = inscripcions_2014.type";
		$inscripcions = select_sql($sql);
}

include '../classes/PHPExcel.php';
include '../classes/PHPExcel/Writer/Excel2007.php';

$objPHPExcel = new PHPExcel();

$objPHPExcel->getProperties()->setCreator("Ajuntament de Barcelona");
$objPHPExcel->getProperties()->setLastModifiedBy("Ajuntament de Barcelona");
$objPHPExcel->getProperties()->setTitle("Inscripcions");
$objPHPExcel->getProperties()->setSubject("Inscripcions");
$objPHPExcel->getProperties()->setDescription("Inscripcions");

$objPHPExcel->setActiveSheetIndex(0)
->setCellValue('A4', 'NOM')
->setCellValue('B4', 'ENTITAT')
->setCellValue('C4', 'TIPOLOGIA')
->setCellValue('D4', 'TELÈFON')
->setCellValue('E4', 'MAIL')
->setCellValue('F4', 'CIUTAT')
->setCellValue('G4', 'S01')
->setCellValue('H4', 'S02')
->setCellValue('I4', 'S03')
->setCellValue('J4', 'S04')
->setCellValue('K4', 'ITINERARI')
->setCellValue('L4', 'SIGNES')
->setCellValue('M4', 'INTERPRET')
->setCellValue('N4', 'CELIAC')
->setCellValue('O4', 'ALTRES')
->setCellValue('P4', 'DATA')

;
$i = 4;
foreach ($inscripcions as $inscripcio) {
	
//$inscripcio = array_map( 'map_utf8_on', $inscripcio );

if ($inscripcio['signes'] == 0) {$signes = 'no';}
if ($inscripcio['signes'] == 1) {$signes = 'sí';}

if ($inscripcio['celiac'] == 0) {$celiac = 'no';}
if ($inscripcio['celiac'] == 1) {$celiac = 'sí';}

if ($inscripcio['interpret'] == 0) {$interpret = 'no';}
if ($inscripcio['interpret'] == 1) {$interpret = 'sí';}

if ($inscripcio['s01'] == 0) {$s01 = 'no';}
if ($inscripcio['s01'] == 1) {$s01 = 'sí';}

if ($inscripcio['s02'] == 0) {$s02 = 'no';}
if ($inscripcio['s02'] == 1) {$s02 = 'sí';}

if ($inscripcio['s03'] == 0) {$s03 = 'no';}
if ($inscripcio['s03'] == 1) {$s03 = 'sí';}

if ($inscripcio['s04'] == 0) {$s04 = 'no';}
if ($inscripcio['s04'] == 1) {$s04 = 'sí';}

if ($inscripcio['it'] > 0 && $inscripcio['it'] <= 8 ) {
	$itinerari = $itineraris[$inscripcio['it']];}

else {
	$itinerari = "-";}

$i +=1;

$objPHPExcel->setActiveSheetIndex(0)
->setCellValue('A'.$i, stripslashes($inscripcio['name']))
->setCellValue('B'.$i, stripslashes($inscripcio['entity']))
->setCellValue('C'.$i, utf8_encode($inscripcio['literal']))
->setCellValue('D'.$i, $inscripcio['phone'])
->setCellValue('E'.$i, $inscripcio['email'])
->setCellValue('F'.$i, $inscripcio['ciutat'])
->setCellValue('G'.$i, $s01)
->setCellValue('H'.$i, $s02)
->setCellValue('I'.$i, $s03)
->setCellValue('J'.$i, $s04)
->setCellValue('K'.$i, $itinerari)
->setCellValue('L'.$i, $signes)
->setCellValue('M'.$i, $interpret)
->setCellValue('N'.$i, $celiac)
->setCellValue('O'.$i, $inscripcio['special'])
->setCellValue('P'.$i, $inscripcio['time'])
;
}
$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true);


$objPHPExcel->getActiveSheet()->getStyle('A4:Y4')->getFont()->setBold(true);



$styleArray = array(
	'borders' => array(
		'outline' => array(
			'style' => PHPExcel_Style_Border::BORDER_NONE,
			'color' => array('argb' => 'FFFF0000'),
		),
	),
);
$objPHPExcel->getActiveSheet()->getStyle('A1:M500')->applyFromArray($styleArray);

$filename = "inscripcions".time().".xlsx";

$objPHPExcel->getActiveSheet()->setTitle('a');

$objPHPExcel->setActiveSheetIndex(0);


header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename='.$filename);
header('Cache-Control: max-age=0');
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
exit;
?>
