<?php
require_once('../inc/connect.php');
require_once('../inc/util.php');
require_once('../inc/config.php');

$sql = "SELECT count(id) as count FROM informacio";
$indicador01 = select_sql($sql);


$sql = "SELECT count(expedients.id) as count FROM informacio JOIN expedients ON informacio.id=expedients.idi WHERE informacio.who != 1 AND informacio.who != 5";
$indicador02 = select_sql($sql);

$sql = "SELECT count(expedients.id) as count FROM informacio JOIN expedients ON informacio.id=expedients.idi WHERE informacio.who = 1 OR informacio.who = 5";
$indicador03 = select_sql($sql);

$sql = "SELECT count(expedients.id) as count FROM informacio JOIN expedients ON informacio.id=expedients.idi";
$indicador04 = select_sql($sql);

$sql = "SELECT count(id) as count FROM expedients_actuacions";
$indicador05 = select_sql($sql);

$sql = "SELECT count(id) as count FROM expedients WHERE estat = 1";
$indicador06 = select_sql($sql);

$sql = "SELECT count(id) as count FROM expedients WHERE estat = 2";
$indicador07 = select_sql($sql);

$sql = "SELECT SUM(numero) as sum FROM tallers WHERE colectiu = 1 OR colectiu = 2";
$indicador08 = select_sql($sql);

$sql = "SELECT SUM(numero) as sum FROM tallers WHERE colectiu = 3 OR colectiu = 4";
$indicador09 = select_sql($sql);

$sql = "SELECT SUM(numero) as sum FROM tallers";
$indicador10 = select_sql($sql);

$sql = "SELECT count(id) as count FROM tallers WHERE colectiu = 1 OR colectiu = 2";
$indicador11 = select_sql($sql);

$sql = "SELECT count(id) as count FROM tallers WHERE colectiu = 3 OR colectiu = 4";
$indicador12 = select_sql($sql);

$sql = "SELECT count(id) as count FROM tallers";
$indicador13 = select_sql($sql);

$sql = "SELECT count(id) as count FROM accions";
$indicador14 = select_sql($sql);

?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title><?php echo $title; ?></title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width">

        <link rel="stylesheet" href="../css/bootstrap.min.css">
        <link rel="stylesheet" href="../css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="../css/main.css">

           <style>
            body {
                padding-top: 50px;
                padding-bottom: 20px;
            }
        </style>
    </head>
    <body>
    <?php include('../menu.php'); ?>

   

    <div class="container">
      <?php include('../info.php'); ?>  
	  

 
	<div class="row">
		<div class="col-xs-10">
			Demandes d'informació a l'OAD sobre temes relacionats amb els drets, al llarg del període considerat <strong>GQV-26243</strong>
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador01[0]['count']; ?></strong>
		</div>
	</div>
	<hr />
	<div class="row">
		<div class="col-xs-10">
			Casos  atesos  de persones diferents a l'Oficina per temes de discriminació i/o vulneració de drets durant el període considerat
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador02[0]['count']; ?></strong>
		</div>
	</div>
	
	<hr />
	<div class="row">
		<div class="col-xs-10">
			Casos atesos de col·lectius diferents a l'Oficina per temes de discriminació i/o vulneració de drets durant el període considerat
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador03[0]['count']; ?></strong>
		</div>
	</div>
	
	<hr />
	<div class="row">
		<div class="col-xs-10">
			Casos atesos totals per temes de discriminació i/o vulneració de drets durant el període considerat
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador04[0]['count']; ?></strong>
		</div>
	</div>
	
	<hr />
	<div class="row">
		<div class="col-xs-10">
			Actuacions efectuades per l'OAD per resoldre o mediar en situacions de vulneració de drets i discriminacions, al llarg del període considerat
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador05[0]['count']; ?></strong>
		</div>
	</div>
	
		<hr />
	<div class="row">
		<div class="col-xs-10">
			Casos que estan oberts i en tràmit a l'OAD, al llarg del període considerat <strong>GQV-26276</strong>
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador06[0]['count']; ?></strong>
		</div>
	</div>
	
	
			<hr />
			
				<div class="row">
		<div class="col-xs-10">
			Casos oberts nous per temes de discriminació i/o vulneració de drets al llarg del període considerat <strong>GQV-26237</strong>
		</div>
		<div class="col-xs-2">
			<strong>0</strong>
		</div>
	</div>
	
		<hr />
	<div class="row">
		<div class="col-xs-10">
			Casos resolts a l'OAD per temes de discrimiació i/o vulneració de drets durant el període considerat <strong>GQV-26238</strong>
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador07[0]['count']; ?></strong>
		</div>
	</div>
	
	
		
			<hr />
	<div class="row">
		<div class="col-xs-10">
			Temps mitjà (en mesos) de resolució d'expedients de l'Oficina per la No Discriminació (OAD)
		</div>
		<div class="col-xs-2">
			<strong>1</strong>
		</div>
	</div>
	
				<hr />
	<div class="row">
		<div class="col-xs-10">
			Participants (escoles i altres col·lectius externs) en sessions de formació i tallers sobre drets i canvis d'actituds organitzades per l'Oficina
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador08[0]['sum']; ?></strong>
		</div>
	</div>
	
					<hr />
	<div class="row">
		<div class="col-xs-10">
			Participants (funcionaris municipals i d'altres administracions) en sessions de formació i tallers sobre drets i canvis d'actituds organitzades per l'Oficina
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador09[0]['sum']; ?></strong>
		</div>
	</div>
		
							<hr />
	<div class="row">
		<div class="col-xs-10">
			Participants totals en sessions de formació i tallers sobre drets i canvis d'actituds organitzades per l'Oficina
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador10[0]['sum']; ?></strong>
		</div>
	</div>
								<hr />
	<div class="row">
		<div class="col-xs-10">
			Sessions de formació i tallers sobre drets i canvis d'actituds organitzades per l'Oficina en el periode considerat per a escoles i altres col·lectius externs
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador11[0]['count']; ?></strong>
		</div>
	</div>	
									<hr />
	<div class="row">
		<div class="col-xs-10">
			Sessions de formació i tallers sobre drets i canvis d'actituds organitzades per l'Oficina en el periode considerat per a funcionaris municipals i d'altres administracions
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador12[0]['count']; ?></strong>
		</div>
	</div>	
										<hr />
	<div class="row">
		<div class="col-xs-10">
			Sessions de formació i tallers totals sobre drets i canvis d'actituds organitzades per l'Oficina en el periode considerat 
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador13[0]['count']; ?></strong>
		</div>
	</div>	
											<hr />
	<div class="row">
		<div class="col-xs-10">
			Actuacions transversals realitzades per l'oficina en temes de drets
		</div>
		<div class="col-xs-2">
			<strong><?php echo $indicador14[0]['count']; ?></strong>
		</div>
	</div>	
	
	</div>
	</div></div></div></div> <!-- /container -->        
    	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="../js/vendor/jquery-1.10.1.min.js"><\/script>')</script>

        <script src="../js/vendor/bootstrap.min.js"></script>
        <script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        <script src="../js/main.js"></script>
        <script>
       			$( "#sortides" ).addClass( "active" );
       	</script>

    </body>
</html>
