<?php
require('../classes/fpdf.php');
require("../inc/connect.php");
require_once('../inc/util.php');

$tipo_entitat= array( '11' => 'Associació',
			    '12' => 'Federació',
				'13' => 'Equipament/Projecte/Servei Municipal'
				);

$transport = array( '11' => 'A peu',
			    '12' => 'Autobús',
				'13' => 'Metro',
				'14' => 'Transport privat'
				);

$sql = "SELECT * 
		FROM experiencies_2014
		WHERE id = ".$_GET['id'];

$items = select_sql($sql);

$itinerari = array_map("stripslashes", $items[0]);
$itinerari = array_map("utf8_decode", $itinerari);

$pdf = new FPDF();
$pdf->AddFont('Montserratr','','Montserrat-Regular.php');
$pdf->AddFont('Montserratb','','Montserrat-Bold.php');
$pdf->AddPage();
$pdf->SetMargins(20,30);
$pdf->SetFont('Montserratb','',16);
$pdf->Write(5, $itinerari['itinerari']);
$pdf->Ln(10);
$pdf->SetFont('Montserratb','',12);
$pdf->Cell(40,10, utf8_decode("Descripció"), 0, 1);
$pdf->SetFont('Montserratr','',10);
$pdf->Write(5, ($itinerari['descripcio']));
$pdf->Ln(10);
$pdf->SetFont('Montserratb','',12);
$pdf->Cell(40,10, utf8_decode("Dades de contacte"), 0, 1);
$pdf->SetFont('Montserratr','',10);
$pdf->Write(5, ($itinerari['entity_1']));
$pdf->Ln(5);
$pdf->Write(5, utf8_decode($tipo_entitat[$itinerari['type_1']]));
$pdf->Ln(5);
$pdf->Write(5, ($itinerari['address_1']." - ".$itinerari['cp_1']));
$pdf->Ln(5);
$pdf->Write(5, ($itinerari['phone_1']." - ".$itinerari['email_1']));
$pdf->Ln(5);
$pdf->Write(5, ($itinerari['name_1']." - ".$itinerari['carrec']));
$pdf->Ln(5);
$pdf->Write(5, ($itinerari['phone_r']." - ".$itinerari['email_r']));
$pdf->Ln(10);
$pdf->SetFont('Montserratb','',12);
$pdf->Cell(40,10, utf8_decode("Altres associacions, equipaments, projectes i serveis que es presentaran"), 0, 1);
$pdf->SetFont('Montserratr','',10);
$pdf->Write(5, ($itinerari['entity_2']."- ".utf8_decode($tipo_entitat[$itinerari['type_2']])));
$pdf->Ln(5);
$pdf->Write(5, ($itinerari['entity_3']."- ".utf8_decode($tipo_entitat[$itinerari['type_3']])));
$pdf->Ln(5);
$pdf->Write(5, ($itinerari['entity_4']."- ".utf8_decode($tipo_entitat[$itinerari['type_4']])));
$pdf->Ln(5);
$pdf->Write(5, ($itinerari['entity_5']."- ".utf8_decode($tipo_entitat[$itinerari['type_5']])));
$pdf->Ln(10);
$pdf->SetFont('Montserratb','',12);
$pdf->Cell(40,10, utf8_decode("Descripció de l'itinerari: horari, localització i descripció continguts explicatius"), 0, 1);
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Espai 1 (punt de trobada) 10:30"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['lloc_1']));
	$pdf->Ln(5);
	$pdf->Write(5, ($itinerari['address_01']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Associacions/Equipaments/Serveis implicats"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['implicats_1']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Justificació"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['justificacio_1']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Continguts de l'explicació (Quins projectes s'hi presentaran?)"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['explicacio_1']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Metodologia de l'explicació"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['metodologia_1']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Quin paper han tingut/tenen les associacions i la seva base social?"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['paper_1']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Relació amb l'Ajuntament?"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['ajuntament_1']));
	$pdf->Ln(10);
	if ($itinerari['accessible_1'] == 1) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("Accessible a persones amb mobilitat reduïda"));
		$pdf->Ln(5);
	}
	if ($itinerari['accessible_1'] == 0) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("NO accessible a persones amb mobilitat reduïda"));
		$pdf->Ln(5);
	}
	
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Espai 2"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['lloc_2']));
	$pdf->Ln(5);
	$pdf->Write(5, ($itinerari['address_02']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Associacions/Equipaments/Serveis implicats"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['implicats_2']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Justificació"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['justificacio_2']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Continguts de l'explicació (Quins projectes s'hi presentaran?)"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['explicacio_2']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Metodologia de l'explicació"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['metodologia_2']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Quin paper han tingut/tenen les associacions i la seva base social?"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['paper_2']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Relació amb l'Ajuntament?"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['ajuntament_2']));
	$pdf->Ln(10);
	if ($itinerari['accessible_2'] == 1) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("Accessible a persones amb mobilitat reduïda"));
		$pdf->Ln(5);
	}
	if ($itinerari['accessible_2'] == 0) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("NO accessible a persones amb mobilitat reduïda"));
		$pdf->Ln(5);
	}

$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Espai 3"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['lloc_3']));
	$pdf->Ln(5);
	$pdf->Write(5, ($itinerari['address_03']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Associacions/Equipaments/Serveis implicats"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['implicats_3']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Justificació"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['justificacio_3']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Continguts de l'explicació (Quins projectes s'hi presentaran?)"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['explicacio_3']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Metodologia de l'explicació"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['metodologia_3']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Quin paper han tingut/tenen les associacions i la seva base social?"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['paper_3']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Relació amb l'Ajuntament?"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['ajuntament_3']));
	$pdf->Ln(10);
	if ($itinerari['accessible_3'] == 1) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("Accessible a persones amb mobilitat reduïda"));
		$pdf->Ln(5);
	}
	if ($itinerari['accessible_3'] == 0) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("NO accessible a persones amb mobilitat reduïda"));
		$pdf->Ln(5);
	}

if ($itinerari['lloc_4']!='') {
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Espai 4"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['lloc_4']));
	$pdf->Ln(5);
	$pdf->Write(5, ($itinerari['address_04']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Associacions/Equipaments/Serveis implicats"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['implicats_4']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Justificació"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['justificacio_4']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Continguts de l'explicació (Quins projectes s'hi presentaran?)"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['explicacio_4']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Metodologia de l'explicació"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['metodologia_4']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Quin paper han tingut/tenen les associacions i la seva base social?"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['paper_4']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Relació amb l'Ajuntament?"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['ajuntament_4']));
	$pdf->Ln(10);
	if ($itinerari['accessible_4'] == 1) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("Accessible a persones amb mobilitat reduïda"));
		$pdf->Ln(5);
	}
	if ($itinerari['accessible_4'] == 0) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("NO accessible a persones amb mobilitat reduïda"));
		$pdf->Ln(5);
	}
}

if ($itinerari['lloc_5']!='') {
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Espai 5"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['lloc_5']));
	$pdf->Ln(5);
	$pdf->Write(5, ($itinerari['address_05']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Associacions/Equipaments/Serveis implicats"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['implicats_5']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Justificació"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['justificacio_5']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Continguts de l'explicació (Quins projectes s'hi presentaran?)"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['explicacio_5']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Metodologia de l'explicació"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['metodologia_5']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Quin paper han tingut/tenen les associacions i la seva base social?"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['paper_5']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratb','',10);
	$pdf->Cell(40,10, utf8_decode("Relació amb l'Ajuntament?"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['ajuntament_5']));
	$pdf->Ln(10);
	if ($itinerari['accessible_5'] == 1) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("Accessible a persones amb mobilitat reduïda"));
		$pdf->Ln(5);
	}
	if ($itinerari['accessible_5'] == 0) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("NO accessible a persones amb mobilitat reduïda"));
		$pdf->Ln(5);
	}
}

$pdf->SetFont('Montserratb','',12);
$pdf->Cell(40,10, utf8_decode("Trajecte"), 0, 1);
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Entre espai 1 i espai 2"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ("Temps: ".$itinerari['temps12']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ("Transport: ".$transport[$itinerari['transport12']]));
	$pdf->Ln(10);
	
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Entre espai 2 i espai 3"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ("Temps: ".$itinerari['temps23']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ("Transport: ".$transport[$itinerari['transport23']]));
	$pdf->Ln(10);
	
if ($itinerari['lloc_4']!='') { 
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Entre espai 3 i espai 4"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ("Temps: ".$itinerari['temps34']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ("Transport: ".$transport[$itinerari['transport34']]));
	$pdf->Ln(10);
}

if ($itinerari['lloc_5']!='') { 
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Entre espai 4 i espai 5"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ("Temps: ".$itinerari['temps45']));
	$pdf->Ln(5);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ("Transport: ".$transport[$itinerari['transport45']]));
	$pdf->Ln(10);
}

$pdf->SetFont('Montserratb','',12);
$pdf->Cell(40,10, utf8_decode("Dinamització"), 0, 1);
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Entre espai 1 i espai 2"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	if ($itinerari['dinamo12'] != '') {
	$pdf->Write(5, ($itinerari['dinamo12']));}
	if ($itinerari['dinamo12'] == '') {
	$pdf->Write(5, "cap");}
	$pdf->Ln(10);
	
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Entre espai 2 i espai 3"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	if ($itinerari['dinamo23'] != '') {
	$pdf->Write(5, ($itinerari['dinamo23']));}
	if ($itinerari['dinamo23'] == '') {
	$pdf->Write(5, "cap");}
	$pdf->Ln(10);
	
if ($itinerari['lloc_4']!='') { 
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Entre espai 3 i espai 4"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
		if ($itinerari['dinamo34'] != '') {
	$pdf->Write(5, ($itinerari['dinamo34']));}
	if ($itinerari['dinamo34'] == '') {
	$pdf->Write(5, "cap");}
	$pdf->Ln(10);
	}

if ($itinerari['lloc_5']!='') { 
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Entre espai 4 i espai 5"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	if ($itinerari['dinamo45'] != '') {
	$pdf->Write(5, ($itinerari['dinamo45']));}
	if ($itinerari['dinamo45'] == '') {
	$pdf->Write(5, "cap");}
	$pdf->Ln(10);
	}

$pdf->SetFont('Montserratb','',12);
$pdf->Cell(40,10, utf8_decode("Altres aspectes"), 0, 1);	
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Documentació"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['documentacio']));
	$pdf->Ln(10);
	
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("En cas de pluja"), 0, 1);
	$pdf->SetFont('Montserratr','',10);
	$pdf->Write(5, ($itinerari['pluja']));
	$pdf->Ln(10);
	
	$pdf->SetFont('Montserratr','',12);
	$pdf->Cell(40,10, utf8_decode("Anglès"), 0, 1);
	if ($itinerari['english'] == 1) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("Hi ha la possibilitat de fer l'itinerari i les explicacions en anglès"));
		$pdf->Ln(5);
	}
	if ($itinerari['english'] == 0) {
		$pdf->SetFont('Montserratr','',10);
		$pdf->Write(5, utf8_decode("NO hi ha la possibilitat de fer l'itinerari i les explicacions en anglès"));
		$pdf->Ln(5);
	}
	
$pdf->Output();
?>